****************************************************************************************************
*                                                                                                  *
* A: Projekt:           LS-PIM                                                                     *
* A: Buildnummer:       2025.1211.1                                                                *
* A: Datum:             2025.12.11 13:34                                                           *
* TFS: Build-ID:        1698                                                                       *
* TFS: Builddefinition: Release (PIM-Tools)                                                        *
* TFS: Status:          Succeeded                                                                  *
* O: Format (git log):  "--pretty=format:[%ad; %an]:%n%B" "--date=format:%Y-%m-%d %H:%M:%S" --     *
*                       graph -n 1000                                                              *
*                                                                                                  *
****************************************************************************************************

* [2025-12-11 13:28:20; Jan Wiesemann]:
| Fehler im Server behoben, durch welchen der Upload der Anreicherung V2 immer einen Fehler meldete obwohl die Datei übertragen wurde.
| 
* [2025-12-11 13:18:28; Jan Wiesemann]:
| Fehlerausgabe im Upload von Anreicherung V2 angepasst
| 
* [2025-12-11 10:14:08; Jan Wiesemann]:
| Doku für PIMtools - Dateianreicherung auf Anreicherung V2 aktualisiert.
| 
* [2025-11-26 14:47:46; Jan Wiesemann]:
| Potenzieller Fehler im Import von Fehlenden Anreicherungsdatensätzen behoben
| 
* [2025-10-15 14:49:39; Jan Wiesemann]:
| Im Import dialog wurden die Toggle Buttons durch CheckBoxen ersetzt, um diese leicher zu erkenne. fixes #80
| 
* [2025-10-13 17:03:25; Jan Wiesemann]:
| DB Cleanup routine, um alte Daten zu entfernen
| 
* [2025-09-22 13:56:14; Jan Wiesemann]:
| Serverendpunkt für das Abrufen von Lieferantnamen über die GLN
| 
* [2025-08-07 12:17:04; Jan Wiesemann]:
| Fehler behoben, durch welchen im Import die Anzahl der aktualisierten/erstellen Variationen nicht korrekt angezeigt wurde
| 
* [2025-07-30 13:45:38; Jan Wiesemann]:
| Der Import zeigt nach dem ausführen an, wie viele Artikel und Variationen angelegt bzw. geändert wurden.
| 
* [2025-07-16 15:27:31; Jan Wiesemann]:
| In den Tools für den Upload von Bildern kann angegeben werden, ob vorhandene Dateien erneut Hochgeladen/Aktualisiert werden sollen.
| 
* [2025-07-16 11:49:55; Jan Wiesemann]:
| Fehler behoben, durch welchen die Ergebnisse der ArtikelVariationStatistik immer nach links verschoben wurden.
| 
* [2025-07-16 11:25:01; Jan Wiesemann]:
| Auswertung für die Ausgabe einer Statistik zu Variationen anhand einer EAN-Liste
| 
* [2025-05-05 11:30:05; Jan Wiesemann]:
| Der Export aller Daten gibt die Anzahl der hinterlegten Bilder aus.
| 
* [2025-05-05 09:35:29; Jan Wiesemann]:
| Fehler im Export aller Variationen und deren Details behoben
| 
* [2025-04-09 10:30:10; Jan Wiesemann]:
| Im Import von Beschreibungen ist die Auswahl eines Lieferanten optional
| 
* [2025-03-12 10:56:00; Jan Wiesemann]:
| In der Konfig für die Anreicherung v2  einen Hinweis zur Kopfzeile hinzugefügt. #34
| 
* [2025-02-20 15:49:09; Jan Wiesemann]:
| Fehler behoben, durch welchen Befehlszeilen der Anreicherung  nicht korrekt auf die 2. Version übersetzt wurden.
| 
* [2025-02-18 14:24:38; Jan Wiesemann]:
| Die Anreicherung V1 lehnt FTP/SSH Ziele ohne Passwort ab und gibt einen Fehler zurück.
| 
* [2025-02-18 14:08:53; Jan Wiesemann]:
| Tool zur Entfernung fehlerhafter Bilddateien
| 
* [2025-02-17 14:03:11; Jan Wiesemann]:
| Fehlerausgabe im Abrufen von Bildern erweitert
| 
* [2025-02-17 13:03:48; Jan Wiesemann]:
| Abrufen für Bilderdetails über die API ermöglicht und einfügen in die C Schnittstelle
| 
* [2025-02-17 10:59:05; Jan Wiesemann]:
| Endpunkt für das Abrufen von Details eines Bilds.
| 
* [2025-02-17 09:37:46; Jan Wiesemann]:
| Speichern von EIn- und Ausgabedateien der Anreicherung in verschiedenen Ordnern.-
| 
* [2025-02-07 13:45:14; Jan Wiesemann]:
| In der AnreicherungV2 werden die Umgebungsvariablen von Pimtools an den Server übergeben und ausgewertet.
| 
* [2025-02-07 12:25:23; Jan Wiesemann]:
| Fehler im Import von Anreicherungskonfigurationen behoben und import aus Batch-Datei ermöglicht.
| 
* [2025-02-06 15:48:40; Jan Wiesemann]:
| Erstellen von Konfigurationen aus der Befehlszeile der alten Anreicherung
| 
* [2025-02-05 13:28:35; Jan Wiesemann]:
| nuget updates
|   
*   [2025-02-04 13:15:11; Jan Wiesemann]:
|\  Merge branch 'stableServer'
| | 
| * [2025-02-03 09:17:19; Jan Wiesemann]:
| | In der Konvertierung für IRISOne wird der recommendedPrice auf price gesetzt, wenn recommendetPrice nicht angegeben oder 0.00€ ist.
| | 
* | [2025-01-22 13:20:36; Jan Wiesemann]:
|/  Die Kopfzeile der Anreicherung wird jetzt Serverseitig erstellt und nicht mehr über PimTools
| 
* [2025-01-20 19:47:41; Jan Wiesemann]:
| Fehler behoben, durch welchen im Anreicherungsformat "Upload" Kopfzeilen gesetzt wurden.
| 
* [2025-01-16 14:50:37; Jan Wiesemann]:
| INFOMAN Registrierung auch über die alte Anreicherung übertragen
| 
* [2025-01-16 14:30:22; Jan Wiesemann]:
| In der AnreicherungV2 wird eine Info hinterlegt, aus welchem INFOMAN die Daten übertragen wurden.
| 
* [2025-01-16 13:07:03; Jan Wiesemann]:
| NuGet updates
| 
* [2025-01-16 10:01:04; Jan Wiesemann]:
| Code organisiert
| 
* [2025-01-06 14:11:02; Jan Wiesemann]:
| Fehlerbehebungen und Memorydumps werden nicht mehr automatisch erstellt.
| 
* [2025-01-06 14:03:33; Jan Wiesemann]:
| Temporäre Dateien entfernt
| 
* [2025-01-06 14:02:22; Jan Wiesemann]:
| Kleinere Layoutfehler behoben
| 
* [2025-01-06 13:55:10; Jan Wiesemann]:
| Beschreibung einer Anreicherung in die Kommandozeile einfügen und den Benutzernamen im Token einer Anreicherung anzeigen.
| 
* [2025-01-06 13:08:18; Jan Wiesemann]:
| Upload von Anreicherungsdateien und aufrufen der Anreicherung im Server
| 
* [2025-01-02 13:50:13; Jan Wiesemann]:
| Auswahl von Endpunkten und speichern bzw. abbrechen
| 
* [2024-12-31 12:02:31; Jan Wiesemann]:
| Suche von Anreicherungskonfigurationen
|   
*   [2024-12-31 11:38:46; Jan Wiesemann]:
|\  Merge branch 'master' into anreicherungv2
| | 
| * [2024-12-31 11:38:30; Jan Wiesemann]:
| | Non Selectable ListView Item Style durch MahApps Style ersetzt, um verschiedene Layoutfehler zu beheben.
| | 
* | [2024-12-31 11:33:21; Jan Wiesemann]:
| | Fehler im Control zu Bearbeitung von Endpunkten behoben
| | 
* | [2024-12-30 14:45:34; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungv2
| | 
| | # Conflicts:
| | #	src/Editor/Editor.csproj
| | #	src/Editor/packages.config
| | #	src/LSPIM.Controls/LSPIM.Controls.csproj
| | #	src/LSPIM.Controls/packages.config
| | #	src/LSPIM.NATIVE.Example/LSPIM.NATIVE.Example..vcxproj
| | #	src/LSPIM.NATIVE.Example/packages.config
| | #	src/LSPIM.NATIVE/LSPIM.NATIVE.vcxproj
| | #	src/LSPIM.NATIVE/packages.config
| | #	src/LSPIM.UnitTest/LSPIM.UnitTest.csproj
| | #	src/LSPIM.UnitTest/packages.config
| | #	src/NetTestApp/NetTestApp.csproj
| | #	src/NetTestApp/packages.config
| | #	src/PIMData/PIMData.csproj
| | #	src/PIMObjects/PIMObjects.csproj
| | #	src/Server/Server.csproj
| | #	src/TestApp/TestApp.vcxproj
| | #	src/TestApp/packages.config
| | 
| * [2024-12-27 14:42:55; Jan Wiesemann]:
| | nuget updates
| | 
| * [2024-12-27 14:03:09; Jan Wiesemann]:
| | NuGet updates, um Fehler zu beheben
| | 
* | [2024-12-24 12:48:37; Jan Wiesemann]:
| | Bearbeiten von Endpunkten
| | 
* | [2024-12-23 15:31:36; Jan Wiesemann]:
| | Dialog für die Bearbeitung von Endpunkten angefangen zu implementieren
| | 
* | [2024-12-20 13:28:11; Jan Wiesemann]:
| | Veraltete Tools werden in PimTools mit einer Warnung ausgeführt und leere Dateien für Anreicherung V2 erstellt
| | 
* | [2024-12-20 13:27:00; Jan Wiesemann]:
| | Bearbeiten von Anreicherungskonfigurationen ermöglicht
| | 
* | [2024-12-20 13:26:32; Jan Wiesemann]:
| | Grundlegende Objekte und Tabelllen für die Anreicherung Konfig erstellt
| | 
* | [2024-12-19 11:58:20; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungv2
| | 
| * [2024-12-18 12:40:47; Jan Wiesemann]:
| | Anzahl der Kontakte und GPSR Kontakte in der Liste der Lieferanten anzeigen.
| | 
| * [2024-12-18 12:18:48; Jan Wiesemann]:
| | Spalte/Feld "Label" in den GLNs in "Beschreibung" umbenannt
| | 
| * [2024-12-18 12:09:24; Jan Wiesemann]:
| | Änderungsdatum in den Lieferantenkontakten
| | 
| * [2024-12-18 11:49:07; Jan Wiesemann]:
| | In den Listen Artikelmerkmale und Variationsmerkmale wird der INFOMAN Typ angezeigt. Dieser kann für die Sortierung verwendet werden.
| | 
| * [2024-12-16 12:53:18; Jan Wiesemann]:
| | Pfade für NuGet LSPIMNATIVE C-Include angepasst
| | 
* | [2024-12-16 11:06:48; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungv2
| | 
| | # Conflicts:
| | #	db/LS-PIM.mwb
| | #	src/Editor/Resources/Strings/Strings_de-de.xaml
| | 
| * [2024-12-13 14:45:48; Jan Wiesemann]:
| | Lieferantname im Titel des Fensters Lieferant bearbeiten anzeigen
| | 
| * [2024-12-13 14:44:02; Jan Wiesemann]:
| | Layout Fehler im Dialog "Lieferant bearbeiten" behoben.
| | 
| * [2024-12-13 14:41:34; Jan Wiesemann]:
| | Kategorie 'GPSR' für Lieferantenkontakt hinzugefügt.
| | 
| * [2024-12-13 14:28:03; Jan Wiesemann]:
| | Standard FTPzugang für Atalanda angepasst
| | 
| * [2024-12-13 14:13:01; Jan Wiesemann]:
| | Die Ergebnisse einer Anreicherung werden jetzt als CSV und als JSON Datei nach der IrisOne Konvertierung gespeichert.
| | 
| * [2024-12-13 13:42:30; Jan Wiesemann]:
| | Die GLN im Dialog Lieferant bearbeiten -> Zuweisungen kann direkt in der Liste gewählt und kopiert werden.
| | 
| * [2024-12-13 12:40:13; Jan Wiesemann]:
| | Der Zugriff auf eine Anreicherung wird jetzt auch in calculated transfer aufgelistet
| | 
| * [2024-11-16 16:30:50; Jan Wiesemann]:
| | LSPIM.NATIVE.Example: Beispiel für das Abrufen von GLNs
| | 
| * [2024-11-15 16:04:15; Jan Wiesemann]:
| | LSPIM.NATIVE ruft die Daten mit Ignorierung der Groß- und Kleinschreibung ab.
| | 
| * [2024-10-30 13:54:12; Jan Wiesemann]:
| | Einstellungen des Imports können konfiguriert werden.
| | 
| * [2024-10-30 12:02:51; Jan Wiesemann]:
| | Anpassungen an der Konvertierung zu IrisOne
| | 
| * [2024-10-28 17:02:58; Jan Wiesemann]:
| | Fehler behoben, durch welchen VK2 Preise in der Wandlung für IROSOne nicht richtig übergeben wurden.
| | 
| * [2024-10-27 19:00:34; Jan Wiesemann]:
| | INFOLIB NuGet updates
| | 
| * [2024-10-27 18:36:14; Jan Wiesemann]:
| | Workaround für Fehler in FluentFTP. Es wurde kein Fehler oder Timeout ausgelöst, wenn versucht wurde eine Verbindung zum SSH-Port herzustellen.
| | 
| * [2024-10-27 18:17:48; Jan Wiesemann]:
| | Timeout für das verbinden zu FTP-Servern angepasst
| | 
| * [2024-10-25 18:29:08; Jan Wiesemann]:
| | Feld "Materialien" Im Import hinzugefügt
| | 
| * [2024-10-24 12:48:27; Jan Wiesemann]:
| | Anpassungen im FTPS Upload. Es werden alle Zertifikate akzeptiert.
| | 
| * [2024-10-17 12:58:32; Jan Wiesemann]:
| | Fehlenden Längenfeld für die Generierung von C Objekten hinzugefügt
| | 
| * [2024-10-17 12:41:27; Jan Wiesemann]:
| | Feld für die Eingabe von Materialien eines Artikels hinzugefügt
| | 
| * [2024-10-16 20:12:17; Jan Wiesemann]:
| | Include Guard für LSPIM.Native
| | 
| * [2024-10-16 14:17:31; Jan Wiesemann]:
| | Dokumentation für LSPIM.NATIVE erweitert
| | 
| * [2024-10-16 12:59:53; Jan Wiesemann]:
| | LSPIM.Native Pre compiled Headers aktiviert.
| | 
| * [2024-10-15 14:20:24; Jan Wiesemann]:
| | Wenn ein Bild über PimTools importiert wird, werden diese automatisch auf "aktiv" gestellt.
| | 
| * [2024-10-11 12:36:50; Jan Wiesemann]:
| | NuGet updates, um Fehler zu beheben
| | 
| * [2024-10-09 17:39:19; Jan Wiesemann]:
| | Optimierungen des DeleteUnreferencedPictures-Tools
| | 
| * [2024-10-09 17:07:46; Jan Wiesemann]:
| | Anpassungen nach NuGet updates
| | 
| * [2024-10-09 17:02:51; Jan Wiesemann]:
| | NuGet updates
| | 
| * [2024-10-09 16:43:50; Jan Wiesemann]:
| | Ergebnisse einer "Upload Anreicherung" werden jetzt mit in die Datenbank geschrieben
| | 
| * [2024-10-09 16:36:52; Jan Wiesemann]:
| | In den Variationsbildern können deaktivierte Bilder ausgeblendet werden.
| | 
| * [2024-10-09 10:47:21; Jan Wiesemann]:
| | Fehlerbehebungen
| | 
| * [2024-10-09 10:46:59; Jan Wiesemann]:
| | DeleteUnreferencedPicturesTool
| | 
| * [2024-10-09 10:02:39; Jan Wiesemann]:
| | Fehler behoben, durch welchen GTIN-Hauptbilder mehrfach importiert wurden.
| | 
* | [2024-10-07 18:08:01; Jan Wiesemann]:
| | Auswahl und bearbeiten von Anreicherungen implementiert
| | 
* | [2024-10-04 12:32:49; Jan Wiesemann]:
|/  Dateien für die Anreicherung im Editor neu organisiert
| 
* [2024-10-03 14:13:34; Jan Wiesemann]:
| Downgrade fehlerhafter externer Bibliotheken.
| 
* [2024-10-02 11:18:54; Jan Wiesemann]:
| Null Reference Fehler in der Initialisierung des Servers behoben
|   
*   [2024-10-02 11:15:47; Jan Wiesemann]:
|\  Merge branch 'master' into gtinBilderIntigration
| | 
| | # Conflicts:
| | #	src/Server/Properties/launchSettings.json
| | #	src/Server/Workers/Imaging/GTINBildImportService.cs
| | 
| * [2024-09-30 11:08:01; Jan Wiesemann]:
| | Optimierungen des GTINBildImportService
| | 
* | [2024-10-02 11:09:42; Jan Wiesemann]:
| | GTIN Bilder, welcher einer Variation zugeordnet werden können, können jetzt über den Editor bearbeitet werden.
| | 
* | [2024-10-01 19:42:47; Jan Wiesemann]:
| | Grundfunktionen des PictureEditListItem Controls implementiert
| | 
* | [2024-10-01 09:45:58; Jan Wiesemann]:
| | NuGet updates
| | 
* | [2024-09-20 13:35:21; Jan Wiesemann]:
| | Fehler behoben und command für das Umstellen der Enabled Eigenschaft erstellt
| | 
* | [2024-09-16 14:18:41; Jan Wiesemann]:
|\| Merge branch 'master' into gtinBilderIntigration
| |   
| *   [2024-09-16 14:12:16; Jan Wiesemann]:
| |\  Merge branch 'master' into stableServer
| | | 
| * | [2024-09-16 14:11:13; Jan Wiesemann]:
| | | Iris One Anreicherung gibt die Bilder zusätzlich auf Variationsebene aus.
| | | 
* | | [2024-09-16 14:02:08; Jan Wiesemann]:
| | | Such Query für Variationsbilder beinhaltet die GTIN-Bilder
| | | 
* | | [2024-09-04 10:57:40; Jan Wiesemann]:
| |/  Dienst für den automatischen Import von GTIN-Bildern in PIM
|/|   
| | 
* | [2024-08-10 11:47:42; Jan Wiesemann]:
| | NuGet updates, um potentiellen Fehler im ConsoleProgress zu beheben
| | 
* | [2024-06-26 09:06:27; Jan Wiesemann]:
| | Fehler im Import und im einfügen von Bildern behoben, durch welche Bilder nicht richtig über die API abgerufen wurden.
| | 
* | [2024-05-29 12:11:03; Jan Wiesemann]:
| | Importierte GTIN-Bilder werden vorübergehend nicht im Editor angezeigt.
| | 
* | [2024-05-24 12:32:42; Jan Wiesemann]:
|/  Funktionen für den Import bzw. das Abrufen von GRIN-Bildern über die API und in Zukunft auch über den Editor.
| 
* [2024-05-17 12:30:40; Jan Wiesemann]:
| Anreicherungsformat Taschen24
| 
* [2024-05-13 13:06:39; Jan Wiesemann]:
| NuGet updates
| 
* [2024-05-13 12:56:05; Jan Wiesemann]:
| Fehler in Projektkonfiguration behoben
| 
* [2024-05-13 12:52:17; Jan Wiesemann]:
| NuGet updates
| 
* [2024-05-10 12:29:32; Jan Wiesemann]:
| GTINS mit falscher Prüfsumme im Dialog der vergangenen Anreicherungen hervorheben
| 
* [2024-04-24 10:57:36; Jan Wiesemann]:
| PimBackgroundQueue Klassen in einzelne Dateien aufgeteilt
| 
* [2024-04-23 10:34:21; Jan Wiesemann]:
| Ausgabe von Servertask Enum-Feldern als String und nicht als Zahl
| 
* [2024-04-23 10:33:50; Jan Wiesemann]:
| Alten Code entfernt
| 
* [2024-04-22 12:46:41; Jan Wiesemann]:
| Bilder beim einfügen automatisch sortieren, wenn noch keine Bilder hinterlegt waren.
| 
* [2024-04-22 12:43:35; Jan Wiesemann]:
| Funktion zum Sortieren von Bildern hinzugefügt
| 
* [2024-04-18 13:44:29; Jan Wiesemann]:
| Test-Fehler behoben
| 
* [2024-04-18 13:37:09; Jan Wiesemann]:
| Fehler in der Projektkonfiguration für Native Projekte behoben
| 
* [2024-04-18 12:47:40; Jan Wiesemann]:
| Fehler im Abrufen von SQL-Commands mit einen Filter behoben
| 
* [2024-04-18 11:10:12; Jan Wiesemann]:
| Fehlerbehebungen
| 
* [2024-04-17 15:02:16; Jan Wiesemann]:
| Serveraufgaben für den Upload von Daten vereinheitlicht und SSH-Support für den Upload von Bildern hinzugefügt.
| 
* [2024-04-16 14:49:30; Jan Wiesemann]:
| NuGet updates für Native Projekte
| 
* [2024-04-16 13:06:57; Jan Wiesemann]:
| Export für nicht angereicherte Datensätze
| 
* [2024-04-09 12:25:02; Jan Wiesemann]:
| Im Artikeleditor können die Hauptgruppen automatisch aus den Warengruppen gefüllt werden.
| 
* [2024-04-08 11:32:32; Jan Wiesemann]:
| Anzahl der markierten Elemente im Dialog zur Bearbeitung von Artikeln anzeigen
| 
* [2024-04-02 10:24:06; Jan Wiesemann]:
| NuGet updates
| 
* [2024-04-02 10:16:23; Jan Wiesemann]:
| Layoutfehler behoben, durch welchen Lieferanten mit einem Bild einen Abhängigkeitsloop auslösten.
| 
* [2024-03-28 13:59:17; Jan Wiesemann]:
| Die 1. GLN eines Lieferanten wird jetzt im Dialog zur Bearbeitung von Artikeln über einen Lieferant angezeigt
| 
* [2024-03-27 14:50:14; Jan Wiesemann]:
| Import von Variationsdaten nur über die GTIN ohne Artikelfelder ermöglicht.
| 
* [2024-03-27 12:09:30; Jan Wiesemann]:
| Filter Aktiv gepflegt für Dialog Lieferanten implementiert
| 
* [2024-03-25 13:51:12; Jan Wiesemann]:
| Codes für Merkmale und Import der Codes für die Warengruppe. Hinweis: Die Codes werde nur beim Anlegen ein Merkmals importiert. Vorhandene Merkmale werden nicht geändert!
| 
* [2024-03-21 13:31:34; Jan Wiesemann]:
| nuget updates
| 
* [2024-03-20 15:52:09; Jan Wiesemann]:
| NuGet updates, um Formatierungsfehler im HTTPClient für die C Anbindung zu beheben
| 
* [2024-03-20 13:56:46; Jan Wiesemann]:
| C Aufruf für das Abrufen von Lieferanten über die GLN angepasst
| 
* [2024-03-20 13:44:45; Jan Wiesemann]:
| Server API Suche nach Lieferanten über die GLN
| 
* [2024-03-20 13:32:50; Jan Wiesemann]:
| Anzahl der Artikel und Variationen werden in der Lieferantenanfrage angegeben
| 
* [2024-03-20 12:41:55; Jan Wiesemann]:
| GLNs in die API für das Abrufen von Lieferanten eingefügt
| 
* [2024-03-19 14:51:02; Jan Wiesemann]:
| Spalten für das Anreicherungausgabeformat iris one angepasst.
| goodsGroupNo => Spalte AO
| goodsGroupName=> Spalte AP
| 
* [2024-03-18 13:23:30; Jan Wiesemann]:
| Anzahl der GTINs im Dialog Lieferanten anzeigen
| 
* [2024-03-18 12:56:34; Jan Wiesemann]:
| Felder Lieferant.AktivGepflegt, Lieferant.GeändertAm und Lieferant.ArtikelOrVariationAktualisiertAm
| 
* [2024-03-18 12:17:46; Jan Wiesemann]:
| Die Eingabefelder in "Artikel bearbeiten" -> "Infos" werden jetzt in einem ScrollViewer angezeigt, um zu vermeiden, dass diese auf eine unlesbare Größe gesetzt werden.
| 
* [2024-02-27 19:21:02; Jan Wiesemann]:
| Fehler in Fehlerausgabe nach DBMS Upgrade beim einfügen einer vorhandenen GLN behoben
| 
* [2024-02-27 19:15:31; Jan Wiesemann]:
| Geschlecht erweitert
| 
* [2024-02-20 13:59:22; Jan Wiesemann]:
| Fehlerbehebungen
| 
* [2024-02-20 13:57:07; Jan Wiesemann]:
| nuget updates
| 
* [2024-02-20 13:40:56; Jan Wiesemann]:
| nuget updates
| 
* [2024-02-20 12:12:58; Jan Wiesemann]:
| Transformation im CSV-Import für das Mappen von Länderschlüsseln zwischen Alpha-2 Code, Alpha-3 Code und Bezeichnung/Name
| 
* [2024-02-20 10:35:39; Jan Wiesemann]:
| NuGet updates
| 
* [2024-02-19 14:35:06; Jan Wiesemann]:
| NuGet.config update
| 
* [2024-02-13 14:21:55; Jan Wiesemann]:
| Fehler in der Abfrage für das Abrufen von aktiven Serveraufgaben behoben
| 
* [2024-02-13 13:25:01; Jan Wiesemann]:
| Buildfehler behoben
| 
* [2024-02-13 13:13:26; Jan Wiesemann]:
| Länge des Felds Artikel.Zolltarifnummer angepasst
| 
* [2024-02-13 13:07:23; Jan Wiesemann]:
| Fehler in der Wandlung von Anreicherungen in das IrisOne format behoben
| 
* [2024-02-13 11:13:11; Jan Wiesemann]:
| In PimTools werden die Standardwert für den Upload von Bildern angezeigt bzw. abgerufen.
| 
* [2024-02-09 19:41:18; Jan Wiesemann]:
| Filter support für Ergebnisse im SeverTaskStatesController, Index für verschiedene Felder der Datenbank hinzugefügt
| 
* [2024-02-09 14:26:23; Jan Wiesemann]:
| Fehler im Sever behoben, durch welchen Aufgaben mit dem Status "ContinueLater" nach einem Serverneustart nie ausgeführt wurden.
| 
* [2024-02-02 10:16:20; Jan Wiesemann]:
| Anpassungen in der Wandlung zu IrisOne JSON
| 
* [2024-02-01 14:25:45; Jan Wiesemann]:
| Anpassungen an der Konvertierung für IrisOne
| 
* [2024-02-01 13:00:01; Jan Wiesemann]:
| Die Auswahl eines Lieferanten kann in PIM-Tools direkt über ein CommandLineArgument 'supplier=' gesteuert werden.
| 
* [2024-02-01 12:59:17; Jan Wiesemann]:
| Das Tool IMpicToPIMpic lädt die Bilder eine SKU jetzt auf alle gefundenen Variationen hoch. Vorher wurde diese immer nur auf den ersten Datensatz hochgeladen.
| 
* [2024-02-01 11:36:26; Jan Wiesemann]:
| Upload von bereits angereicherten Dateien ermöglicht, um nur noch die Funktionen für die Konvertierung auszuführen.
| 
* [2024-01-25 17:54:29; Jan Wiesemann]:
| Parameter für das warten auf Serveraufgaben angepasst
| 
* [2024-01-25 17:38:04; Jan Wiesemann]:
| Fehler in der Convertierung von Anreicherungen in das Ausgabeformat IrisOne behoben.
| 
* [2024-01-25 16:19:59; Jan Wiesemann]:
| Anzeigename in den Einstellungen für PimTools Anreicherungen angepasst
| 
* [2024-01-25 16:19:29; Jan Wiesemann]:
| Fehler im Server behoben durch welchen Serveraufgaben nicht richtig abgerufen wurden.
| 
* [2024-01-16 14:44:52; Jan Wiesemann]:
| Markierung für das löschen mehrerer Merkmale
| 
* [2024-01-08 11:26:55; Jan Wiesemann]:
| Im Dialog "Anreicherung" das sortieren ermöglicht und die Anzahl der Elemente anzeigen
| 
* [2024-01-08 10:29:33; Jan Wiesemann]:
| Im Dialog "Anreicherung" kann nach einem Benutzer gefiltert werden.
| 
* [2024-01-05 12:26:15; Jan Wiesemann]:
| Im Generator für SKUs werden jetzt Lieferantenfarben im Format 'ZahlMitNummer Name' unterstützt.
| 
* [2023-12-22 13:41:48; Jan Wiesemann]:
| Fehler im Server behoben, durch welchen Aufgaben nicht als Beendet gekennzeichnet wurden. Controller für das Abrufen von Task-Aufgaben für Grafana Dashboard erweitert
| 
* [2023-12-21 13:57:50; Jan Wiesemann]:
| Rückfrage beim füllen einer SKU-Spalte angepasst
| 
* [2023-12-21 13:50:20; Jan Wiesemann]:
| Fehler im generieren der SKU2 behoben
| 
* [2023-12-20 16:36:10; Jan Wiesemann]:
| Anpassungen für das finale Format der IrisOne Anreicherung/Konvertierung.
| 
* [2023-12-20 12:23:06; Jan Wiesemann]:
| Anreicherung für IrisOne hinzugefügt und Converter für JSON implementiert
| 
* [2023-12-15 16:38:20; Jan Wiesemann]:
| Der Anreicherungstask des Servers kann die Arbeit nach einem Fehler fortsetzen ohne diese erneut ausführen zu müssen.
| 
* [2023-11-28 14:22:09; Jan Wiesemann]:
| SKU2 Füllen berücksichtigt Leerzeichen im Farbtext
| 
* [2023-11-23 14:24:16; Jan Wiesemann]:
| Fehlerausgabe im Upload von SSH-Daten erweitert.
| 
* [2023-11-14 11:11:04; Jan Wiesemann]:
| Im Import wird ein Fehler ausgegeben, wenn eine GTIN bereits für einen anderen Lieferanten verwendet werden kann und diese nicht gelöscht werden kann.
| 
* [2023-11-13 13:44:44; Jan Wiesemann]:
| NuGet packte aktualisiert
| 
* [2023-10-26 15:39:06; Jan Wiesemann]:
| Workaround für Consolenprobleme bei Window 11
| 
* [2023-10-26 15:36:29; Jan Wiesemann]:
| Anreicherung um Format Shopware erweitert
| 
* [2023-10-11 13:26:25; Jan Wiesemann]:
| Verbose logging für den Import und das importieren von Variationen mit der gleichen SKU1 wurde verbessert.
| 
* [2023-10-10 19:02:34; Jan Wiesemann]:
| Pfadproblem für den TMP-Ordner des Imports behoben
| 
* [2023-09-28 14:21:38; Jan Wiesemann]:
| Upload von Anreicherungsdaten über SSH/SFTP
|   
*   [2023-09-28 11:17:49; Jan Wiesemann]:
|\  Merge branch 'stableEditor'
| | 
| * [2023-09-26 12:56:24; Jan Wiesemann]:
| | NuGet.config angepasst
| | 
* | [2023-09-28 11:17:04; Jan Wiesemann]:
| | SSH-Upload task für den Server hinzugefügt
| | 
* | [2023-09-27 14:58:32; Jan Wiesemann]:
| | atalanda.com verwendet auto-ftp connection-mode
| | 
* | [2023-09-27 14:11:24; Jan Wiesemann]:
| | fehlerbehebungen
| | 
* | [2023-09-27 12:26:37; Jan Wiesemann]:
| | ftp upload für atalanda verwendet den passiven modus
| | 
* | [2023-09-26 15:03:43; Jan Wiesemann]:
|\| Merge branch 'master' into stableServer
| | 
| * [2023-06-28 13:08:09; Jan Wiesemann]:
| | Export der Anreicherungsergebnisse
| |   
| *   [2023-06-28 12:29:42; Jan Wiesemann]:
| |\  Merge branch 'stableServer'
| | | 
| | | # Conflicts:
| | | #	src/Server/Anreicherung/AnreicherungWorkItem.cs
| | | 
| * | [2023-06-20 16:26:49; Jan Wiesemann]:
| | | Dialog zum anzeigen von Ergebnissen der Anreicherung
| | | 
| * | [2023-05-17 13:01:43; Jan Wiesemann]:
| | | NuGet updates
| | | 
| * | [2023-05-17 11:46:54; Jan Wiesemann]:
| | | Im Export "GTIN mit Anzahl von Bildern" werden die Variationsinfos und Artikelinfos mit exportiert
| | | 
| * | [2023-05-17 10:39:26; Jan Wiesemann]:
| | | nuget.config aktualisiert
| | | 
| * | [2023-05-08 12:25:45; Jan Wiesemann]:
| | | Fehlgeschlagene FTP-Uploads werden im Image-Tracker mit fehler angezeigt
| | | 
| * | [2023-05-05 18:30:12; Jan Wiesemann]:
| | | Fehler in der verfolgung von bereits hochgeladenen Bildern behoben.
| | | 
| * | [2023-04-26 14:46:24; Jan Wiesemann]:
| | | Anpassungen im Beispiel für das Abrufen von Bildern
| | |   
| * |   [2023-04-26 14:43:52; Jan Wiesemann]:
| |\ \  merge
| | | | 
| * | | [2023-04-25 15:00:12; Jan Wiesemann]:
| | | | Anpassungen für debuggen
| | | |   
| * | |   [2023-04-25 13:30:10; Jan Wiesemann]:
| |\ \ \  Merge branch 'stableServer'
| | | | | 
| * | | | [2023-04-25 13:05:32; Jan Wiesemann]:
| | | | | Tool PimPicToGTINPic erstellt
| | | | | 
| * | | | [2023-04-21 13:14:20; Jan Wiesemann]:
| | | | | .targets angepasst
| | | | | 
| * | | | [2023-04-19 16:30:15; Jan Wiesemann]:
| | | | | .nuspec anpassungen und nuget updates
| | | | | 
| * | | | [2023-04-19 16:01:48; Jan Wiesemann]:
| | | | | NuGet updates, um im Fehlerfall einer Namensaufläsung des PIM-Servers, einen Fehler zurück zu geben.
| | | | | 
| * | | | [2023-04-11 16:25:10; Jan Wiesemann]:
| | | | | Fehler in Native.LSPIM.targets behoben
| | | | | 
| * | | | [2023-04-11 14:05:29; Jan Wiesemann]:
| | | | | Native.LSPIM.nuspec an aktuelle Versionen angepassst
| | | | | 
* | | | | [2023-09-26 14:57:51; Jan Wiesemann]:
| | | | | Filter erweitert
| | | | | 
* | | | | [2023-09-26 14:31:07; Jan Wiesemann]:
| |_|_|/  ServerTaskStatesController filtern nach Typ und Ergebnis
|/| | |   
| | | | 
* | | | [2023-06-28 12:20:19; Jan Wiesemann]:
| | | | Fehler in den Anreicherungsfalgs behoben, durch welchen der Flags None und GTINNichtGueltig gleich behandelt wurden.
| | | | 
* | | | [2023-06-22 16:44:28; Jan Wiesemann]:
| | | | fehler behoben, durch welchen anreicherungen mit einer bestimmten anzahl an bildern nicht hochgeladen wurden.
| | | | 
* | | | [2023-06-20 18:03:23; Jan Wiesemann]:
| | | | Pfad im speichern von GTIN-Bildern angepasst
| | | | 
* | | | [2023-06-20 17:18:16; Jan Wiesemann]:
| | | | Fehler im speichern der Ausgabedatei behoben
| | | | 
* | | | [2023-06-20 16:59:23; Jan Wiesemann]:
| |_|/  Ausgabe der Anreicherung in eine Datei schreiben
|/| |   
| | | 
* | | [2023-04-26 14:43:03; Jan Wiesemann]:
| | | Abrufen von GTIN-Bildern über die endpunkte Product und Variation
| | | 
* | | [2023-04-25 17:34:48; Jan Wiesemann]:
| |/  Controller für das Abrufen von GTIN-Bildern
|/|   
| | 
* | [2023-04-25 13:29:52; Jan Wiesemann]:
|/  Serverpfad für Bilder angepasst
|   
*   [2023-04-11 14:00:53; Jan Wiesemann]:
|\  Merge branch 'stableServer'
| | 
| * [2023-03-29 15:58:13; Jan Wiesemann]:
| | Das Feld 'Artikelkennzeichnung' wird in der eingeschränkten Übertragung an Bagmondo jetzt mit übertragen.
| |   
| *   [2023-03-23 14:47:46; Jan Wiesemann]:
| |\  merge
| | | 
| * | [2023-03-23 12:08:24; Jan Wiesemann]:
| | | Fehler behoben, durch welchen die Logos eines Lieferanten, in der REST-API nicht sortiert wurden.
| | | 
* | | [2023-04-11 13:03:16; Jan Wiesemann]:
| | | Anpassungen für die Native Bibliothek, um das laden von langen Beschreibungen zu erlauben.
| | | 
* | | [2023-03-24 12:04:16; Jan Wiesemann]:
| | | LoadingAdornerHelper entfernt, da dieser Fehler verursachte. Dieser wurde duch das ls:LoadingControl ersetzt
| | | 
* | | [2023-03-24 11:43:06; Jan Wiesemann]:
| |/  Der Editor erstellt bei einem Fehler einen Dump
|/|   
| | 
* | [2023-03-23 14:42:04; Jan Wiesemann]:
| | Background Worker zum berechnen von Bilder-Hashes, um doppelte Bilder zu finden.
| | 
* | [2023-03-23 13:14:00; Jan Wiesemann]:
| | Fehler in PIM-Tools für den Import von Bildern behoben. Bilder (bspw. Hauptbilder) ohne Name wurden immer neu angelegt.
| | 
* | [2023-03-16 14:19:43; Jan Wiesemann]:
| | Fehler im Server behoben, durch welchen die Logos von Lieferanten nicht sortiert wurden und dadurch das Hauptbild nicht korrekt abgerufen wurde.
| | 
* | [2023-03-16 11:57:34; Jan Wiesemann]:
| | Fehler im Export der GTINs mit Anzahl der Bilder behoben
| | 
* | [2023-03-10 11:10:46; Jan Wiesemann]:
| | Suchen und Anzeigen von Bilder Namen im Dialog FTPImageTracking
| | 
* | [2023-03-10 10:47:05; Jan Wiesemann]:
|\| Merge branch 'stableServer'
| | 
| * [2023-03-09 16:54:48; Jan Wiesemann]:
| | Metadata in Server-Taskstatus anzeigen
| | 
| * [2023-03-09 16:34:34; Jan Wiesemann]:
| | Fehler im Server behoben, durch welchen Server-Aufgaben mit fehlern als erfolgreich angezeigt wurden.
| | Ausgabe der Server-Task-Statusabfrage erweitert
| | 
* | [2023-03-09 15:49:41; Jan Wiesemann]:
| | Anzeigen von FTP-Upload Infos für Bilder
| | 
* | [2023-03-09 13:36:58; Jan Wiesemann]:
|\| Merge branch 'stableServer'
| | 
| * [2023-03-09 13:28:24; Jan Wiesemann]:
| | Im FTP-Tracker für Bilder Speichert der Server jetzt auch eine Referenz auf den Quell-ServerTask
| | 
* | [2023-03-06 11:58:40; Jan Wiesemann]:
| | Über die Artikelansicht des Editors können alle Variationen eines Artikels auf einen anderen Artikel verschoben werden. Diese Funktion sollte nicht mit einem 'Merge' verwechselt werden. und Anpassungen am ToolTip für 'Artikel-Merge'
| | 
* | [2023-02-24 16:39:03; Jan Wiesemann]:
|/  NuGet updates, um Fehler im Speichern der Fensterzustände zu beheben
| 
* [2023-02-21 10:48:03; Jan Wiesemann]:
| Fehler beim Speichern von langen FTP-Pfaden behoben
| 
* [2023-02-21 10:14:04; Jan Wiesemann]:
| Fehler im Server behoben, durch welchen keine Bilder über den Editor hochgeladen werden konnten.
| 
* [2023-02-20 12:51:49; Jan Wiesemann]:
| Ausgabe für Server-Aufgaben erweitert
| 
* [2023-02-20 12:39:31; Jan Wiesemann]:
| Default Seite für PIM-Server
| 
* [2023-02-20 11:45:30; Jan Wiesemann]:
| Anpassungen am abfragen des Status für Serveraufgaben
| 
* [2023-02-20 11:10:29; Jan Wiesemann]:
| .nuspec anpassungen
| 
* [2023-02-20 11:08:14; Jan Wiesemann]:
| Fehler in .nuspec für x86 behoben
| 
* [2023-02-20 11:03:30; Jan Wiesemann]:
| Fehler im Build für x86 behoben
| 
* [2023-02-20 10:55:18; Jan Wiesemann]:
| nicht verwendete Projekte aus Projektmappe entfernt. Diese haben unnötige Buildfehler erzeugt
| 
* [2023-02-20 10:47:49; Jan Wiesemann]:
| Fehler behoben, PIM-Server und PIM-Tools für den Release vorbereitet
| 
* [2023-02-17 19:09:35; Jan Wiesemann]:
| Feher behebungen, um die angepasset Aufgabenverwaltung in betrieb zu nehmen
| 
* [2023-02-16 15:49:22; Jan Wiesemann]:
| Fehler im Warten auf Upload-Aufgaben im Server behoben.
| 
* [2023-02-15 14:37:36; Jan Wiesemann]:
| nuget updates
| 
* [2023-02-13 15:49:53; Jan Wiesemann]:
| Status einer Aufgabe in der Anreicherung abrufen.
| 
* [2023-02-09 16:23:14; Jan Wiesemann]:
| Upload von Anreicherungen und fTP-Bildern angepasst. Es ist somit möglich, den Status von verschiedenen Aufgaben abzurufen bzw. zu verfolgen.
| 
* [2023-02-07 14:11:34; Jan Wiesemann]:
| Background worker für Anreicherungen umgestellt
| 
* [2023-02-06 15:56:32; Jan Wiesemann]:
| nuget updates
| 
* [2023-02-03 16:04:31; Jan Wiesemann]:
| build fehler behoben
| 
* [2023-02-03 15:55:12; Jan Wiesemann]:
| MySQL.Data entfernt und durch MySQLConnector ersetzt.
| 
* [2023-02-03 15:35:58; Jan Wiesemann]:
| DB angepasst und mit dem Worker für Server-Tasks begonnen
| 
* [2023-02-02 14:32:28; Jan Wiesemann]:
| NuGet Updates und Anpassungen nach dem Update.
| 
* [2023-02-01 12:21:17; Jan Wiesemann]:
| NuGet Pakete entfernt
| 
* [2023-02-01 12:16:48; Jan Wiesemann]:
| Datenbank EER Diagram organisiert
| 
* [2023-02-01 10:25:44; Jan Wiesemann]:
| Datenbank für folgende Implementierungen angepasst
| 
* [2023-01-27 18:07:04; Jan Wiesemann]:
| Anpassungne in der Übertragung von FTP-Bildern
|   
*   [2023-01-26 16:04:37; Jan Wiesemann]:
|\  Merge branch 'stableServer'
| | 
| * [2023-01-26 12:55:26; Jan Wiesemann]:
| | Fehler behoben, durch welchen die Bilder einer Lokalen Anreicherung nicht korrekt auf den FTP-Server geladen wurden.
| | 
| * [2023-01-04 16:05:16; Jan Wiesemann]:
| | GLN der Anreicherung weiter übertragen
| | 
* | [2023-01-26 15:09:16; Jan Wiesemann]:
| | Die Anreicherung kann jetzt auf den Upload von Bildern warten
| | 
* | [2023-01-26 13:22:39; Jan Wiesemann]:
| | Fehler in der Fehlerausgabe in der Release Version behoben
| | 
* | [2023-01-26 12:51:14; Jan Wiesemann]:
| | Fehler im Parameter InputHasHeader der Anreicherung behoben und Fehlerausgabe von PimTools erweitert.
| | 
* | [2023-01-26 10:12:05; Jan Wiesemann]:
| | Schreibfehler im CommandLineArgument InputHasHeader der Anreicherung behoben und Weiterleitung von InputHasHeaderr auf InputHasHeader implementiert.
| | 
* | [2023-01-17 15:21:37; Jan Wiesemann]:
| | Generator für die Anreicherungsformate angepasst. Dieser generiert jetzt Funktionen für wandeln eines Datensatzes in eine CSV-Spalte
| |   
* |   [2022-12-19 17:22:44; Jan Wiesemann]:
|\ \  Merge branch 'master' into stableEditor
| | | 
| * | [2022-12-19 17:22:32; Jan Wiesemann]:
| | | User Dialog angepasst, um weitere Einstellungen der Anreicherung zu ändern
| | | 
| * | [2022-12-19 17:08:12; Jan Wiesemann]:
| |\| Merge branch 'stableServer'
| | | 
| | * [2022-12-19 17:05:15; Jan Wiesemann]:
| | | Fehler in der Anreicherung behoben
| | | 
* | | [2022-12-08 14:54:59; Jan Wiesemann]:
|\| | Merge branch 'master' into stableEditor
| | | 
| * | [2022-12-08 14:49:32; Jan Wiesemann]:
| | | Fehler im Generator für C-Strikturen behoben
| | | 
* | | [2022-12-08 14:28:24; Jan Wiesemann]:
|\| | Merge branch 'master' into stableEditor
| | | 
| * | [2022-12-08 14:28:05; Jan Wiesemann]:
| | | Fehler im Dialog LieferantenfarbenBulkEditor behoben
| | | 
| * | [2022-12-08 13:55:20; Jan Wiesemann]:
| | | Ausgabe der Formatübersicht für die Anreicherung angepasst
| | | 
* | | [2022-12-07 14:58:42; Jan Wiesemann]:
|\| | Merge branch 'master' into stableEditor
| | | 
| * | [2022-12-07 14:40:34; Jan Wiesemann]:
| | | NuGet updates, um Fehler im Import zu beheben
| | | 
* | | [2022-12-06 17:18:13; Jan Wiesemann]:
|\| | Merge branch 'master' into stableEditor
| | |   
| * |   [2022-12-06 17:17:12; Jan Wiesemann]:
| |\ \  Merge branch 'stablePimTools'
| | |/  
| |/|   
| | | 
| | * [2022-12-06 17:16:30; Jan Wiesemann]:
| | | Import aus PIM-Tool-Build entfernt
| | |   
| | *   [2022-11-23 15:56:55; Jan Wiesemann]:
| | |\  Merge branch 'stableServer' into stablePimTools
| | | | 
| | * | [2022-09-15 12:44:56; Jan Wiesemann]:
| | | | Bei der Anreicherung kann jetzt ein Platzhalter für die werte der Remoteanreicherung angegeben werden. Die Formatierung kann über den Konfigurator der Anreicherung eingesehen werden. PimTools muss mit den Parametern 'command=Anreicherung editor' gestartet werden, um diesen anzuzeigen.
| | | | 
| * | | [2022-11-24 14:27:27; Jan Wiesemann]:
| | | | Anreicherung KofferUndTasche + Artikelbeschreibung
| | | | 
| * | | [2022-11-24 13:49:31; Jan Wiesemann]:
| | | | Fehler im CodeGenerator für Strukturen der Anreicherung behoben
| | | | 
| * | | [2022-11-24 10:19:02; Jan Wiesemann]:
| | | | Generierung von PIM-Strukturen erweitert
| | | | 
* | | | [2022-11-23 17:32:28; Jan Wiesemann]:
|/ / /  Anpassungen in FileFormatInfos.KofferUndTasche
| | | 
* | | [2022-11-23 17:22:16; Jan Wiesemann]:
| | | Felder für Anreicherung KofferUndTasche angepasst
| | |   
* | |   [2022-11-23 16:10:04; Jan Wiesemann]:
|\ \ \  Merge branch 'stableEditor'
| | | | 
| * | | [2022-11-23 16:08:11; Jan Wiesemann]:
| | | | Anreicherung KofferUndTasche weitere Felder für PIM.NATIVE hinzugefügt
| | | |   
| * | |   [2022-11-23 15:58:32; Jan Wiesemann]:
| |\ \ \  Merge branch 'stableServer' into stableEditor
| | | |/  
| | |/|   # Conflicts:
| | | |   #	src/PIMObjects/PIMObjects.csproj
| | | |   
* | | |   [2022-11-23 15:59:18; Jan Wiesemann]:
|\ \ \ \  Merge branch 'stableServer'
| |/ / /  
|/| / /   # Conflicts:
| |/ /    #	src/PIMObjects/PIMObjects.csproj
| | | 
| * | [2022-11-23 15:55:00; Jan Wiesemann]:
| |/  Anreicherung für KofferUndTasche
| | 
* | [2022-11-09 17:35:13; Jan Wiesemann]:
| | Fehlerbehebungen (Hoffentlich)
| | 
* | [2022-11-08 11:12:48; Jan Wiesemann]:
| | Zolltarifnummer und Herstellungsland in den Import eingefügt
| | 
* | [2022-11-04 15:33:07; Jan Wiesemann]:
| | Rundungsfehler in der Eingabe von Preisen als Dezimalzahl behoben
| | 
* | [2022-11-04 14:45:15; Jan Wiesemann]:
| | Fehler im Import behoben, durch welchen Merkmale angelegt wurden, obwohl diese nicht zugewiesen wurden.
| | 
* | [2022-10-19 13:49:54; Jan Wiesemann]:
| | IFrame Feld in Artikel hinzugefügt
| | 
* | [2022-10-10 16:21:19; Jan Wiesemann]:
| | Fehler in der Sortierung von Merkmalen behoben
| | 
* | [2022-10-05 18:05:53; Jan Wiesemann]:
| | NuGet updates
| | 
* | [2022-10-05 16:53:31; Jan Wiesemann]:
| | NuGet updates und Anpassungen an Updates
| | 
* | [2022-10-05 10:04:44; Jan Wiesemann]:
| | NuGet updates, um Fehler im Export-Tool zu beheben
| | 
* | [2022-10-04 10:56:33; Jan Wiesemann]:
| | Fehler im Export von allen Variationsdetails behoben
| | 
* | [2022-09-29 14:12:30; Jan Wiesemann]:
| | gitChangeLogGeneratorAndMailer  Installationsziel angepasst
| | 
* | [2022-09-29 14:09:14; Jan Wiesemann]:
| | gitChangeLogGeneratorAndMailer Für Bildergebnisse
| | 
* | [2022-09-29 13:57:29; Jan Wiesemann]:
| | Fehlenden Entfernen button im Dialog Benutzer -> Lief. Zugriff einschränken hinzugefügt
| |   
* |   [2022-09-13 15:08:37; Jan Wiesemann]:
|\ \  merge
| | | 
| * | [2022-09-13 15:03:47; Jan Wiesemann]:
| | | NuGet updates, um Fehler im Import zu beheben
| | | 
* | | [2022-09-06 11:24:33; Jan Wiesemann]:
| | | Info Feld für das Bearbeiten eines Benutzers vergrößert und die Eingabe mehrerer Zeilen ermöglicht
| | | 
* | | [2022-09-06 10:59:10; Jan Wiesemann]:
| | | NuGet updates, um Fehler zu beheben, durch welchen einige Werte nicht angezeigt wurden. Beispielsweise die Benutzerrolle
| | | 
* | | [2022-08-08 12:09:28; Jan Wiesemann]:
|\| | Merge branch 'master' into stableEditor
| | | 
| * | [2022-08-08 12:08:07; Jan Wiesemann]:
| | | Standard für Format in IMpicToPIMpic festgelegt
| | | 
* | | [2022-07-06 16:39:54; Jan Wiesemann]:
|/ /  NuGet updates
| | 
* | [2022-07-06 16:14:23; Jan Wiesemann]:
| | Buildfehler behoben
| | 
* | [2022-07-06 16:12:12; Jan Wiesemann]:
| | AnreicherungGenerators.GetNameFromType
| | 
* | [2022-06-30 12:15:13; Jan Wiesemann]:
| | NuGet Updates und Anpassungen.
| | -> Export für Verschiedene Dialog hinterlegt
| | -> CSVImport Encoding der Datei festlegen
| | 
* | [2022-06-30 09:48:04; Jan Wiesemann]:
| | Encoding für einige Zwischendateien mit UTF8-BOM schreiben
| | 
* | [2022-06-30 09:36:17; Jan Wiesemann]:
| | nuget updates
| | 
* | [2022-06-21 15:33:25; Jan Wiesemann]:
|/  NuGet Updates, um Fehler in Nativer Bibliothek zu beheben
| 
* [2022-06-21 14:33:05; Jan Wiesemann]:
| Fehlerbehebung
| 
* [2022-06-20 10:57:41; Jan Wiesemann]:
| Fehlerbehebung
| 
* [2022-06-20 10:45:55; Jan Wiesemann]:
| ReadMe.MD
| 
* [2022-06-20 10:05:22; Jan Wiesemann]:
| Feld Serienname für die Anreicherung in den Goldkrone formaten
|   
*   [2022-06-14 13:36:00; Jan Wiesemann]:
|\  Merge branch 'generatorFileFormatsToStruct'
| | 
| | # Conflicts:
| | # src/Editor/AnreicherungenAnzeigenMissingGTINsViewModel.cs
| | # src/Editor/Editor.csproj
| | # src/Editor/packages.config
| | # src/LSPIM.Controls/LSPIM.Controls.csproj
| | # src/LSPIM.Controls/packages.config
| | # src/LSPIM.Dialogs.Native/LSPIM.Dialogs.Native.vcxproj
| | # src/LSPIM.Dialogs.Native/packages.config
| | # src/LSPIM.Dialogs/LSPIM.Dialogs.csproj
| | # src/LSPIM.Dialogs/packages.config
| | # src/LSPIM.NATIVE.Example/LSPIM.NATIVE.Example..vcxproj
| | # src/LSPIM.NATIVE.Example/packages.config
| | # src/LSPIM.NATIVE/LSPIM.NATIVE.vcxproj
| | # src/LSPIM.NATIVE/packages.config
| | # src/LSPIM.UnitTest/LSPIM.UnitTest.csproj
| | # src/LSPIM.UnitTest/packages.config
| | # src/NetTestApp/NetTestApp.csproj
| | # src/NetTestApp/packages.config
| | # src/PIMData/PIMData.csproj
| | # src/PIMObjects/PIMObjects.csproj
| | # src/PIMtools/PIMtools.csproj
| | # src/PIMtools/packages.config
| | # src/Server/Server.csproj
| | # src/TestApp/TestApp.vcxproj
| | # src/TestApp/packages.config
| | 
| * [2022-06-14 13:22:29; Jan Wiesemann]:
| | Fehlerbehebungen und Header für die Anriecherung in das NuGet packet für PIM hunzugefügt
| | 
| * [2022-06-13 15:09:57; Jan Wiesemann]:
| | Anreicherungsformat generator fertig
| | 
| * [2022-06-13 08:58:53; Jan Wiesemann]:
| | AnreicherungFormatStructsGenerator erweitert für die Generierung der Datenstrukturen und das Mappen der CSV-Felder
| | 
| * [2022-06-09 15:57:39; Jan Wiesemann]:
| | Generator für Format Strukturen
| | 
| * [2022-06-09 13:05:20; Jan Wiesemann]:
| | Generator für AnreicherungFormats fertig
| | 
| * [2022-06-07 16:28:07; Jan Wiesemann]:
| | branch switch
| |   
* |   [2022-06-07 16:48:55; Jan Wiesemann]:
|\ \  Merge branch 'stablePimTools'
| | | 
| * | [2022-06-07 16:47:41; Jan Wiesemann]:
| | | Fehler in der Anreicherung behoben, durch welchen Formate ohne StoreGLN nicht angereichert werden konnten.
| | | 
* | | [2022-06-02 09:12:04; Jan Wiesemann]:
| |/  Fehler für Anreicherung->Import-> EK/VK behoben und NuGet Updates
|/|   
| | 
* | [2022-05-31 12:59:54; Jan Wiesemann]:
| | NuGet updates, um Fehler im Import zu beheben.
| | 
* | [2022-05-25 15:06:07; Jan Wiesemann]:
| | NuGet updates und kleinere Anpassungen
| | 
* | [2022-05-20 11:24:51; Jan Wiesemann]:
| | NuGet updates für CSV-Import
| | 
* | [2022-05-19 21:12:31; Jan Wiesemann]:
| | NuGet updates und Anpassungen für den neuen Import
| | 
* | [2022-05-04 12:02:57; Jan Wiesemann]:
| | Es kann jetzt ein Labeltext bei einer GLN hinterlegt werden.
| | 
* | [2022-05-04 11:44:29; Jan Wiesemann]:
| | Fehler im löschen von Variationen und Artikeln behoben
| | 
* | [2022-05-03 15:14:20; Jan Wiesemann]:
| | Anpassungen nach NuGet updates; Der Dialog Anreicherung -> Fehlende GTINs Zeigt jetzt an, ob eine GTIN bereits angelegt wurde.
| | 
* | [2022-05-02 11:12:50; Jan Wiesemann]:
| | Datenbank angepasst. Das Löschen von Artikeln und Variationen ist nur noch möglich, wenn diese vorher gelöscht wurden.
| | 
* | [2022-05-02 11:06:51; Jan Wiesemann]:
| | Fehlerbehebungen
| | 
* | [2022-05-02 10:50:26; Jan Wiesemann]:
| | Code für Server und PimTools in eine geteile Klasse gelegt.
| | 
* | [2022-05-02 10:09:10; Jan Wiesemann]:
| | Fehler in GTINSKUPicBackup behoben
| | 
* | [2022-04-06 09:43:29; Jan Wiesemann]:
| | NuGet updates, um Fehler in externen Dialogen zu beheben. Diese wurden nicht immer geschlossen.
| | 
* | [2022-04-04 15:17:41; Jan Wiesemann]:
| | RemoveEmptyPicturesTool
| | 
* | [2022-04-04 10:38:32; Jan Wiesemann]:
| | Export für Anreicherungsanzeige
| | 
* | [2022-04-04 10:13:35; Jan Wiesemann]:
|/  IMpicToPIMPic sucht vor dem ausführen, ob ein Bild bereits hochgeladen wurde.
| 
* [2022-04-02 11:13:27; Jan Wiesemann]:
| StackOverflow behoben
| 
* [2022-04-01 14:31:12; Jan Wiesemann]:
| Buildfehler behoben
| 
* [2022-04-01 14:25:13; Jan Wiesemann]:
| NuGet update, um Fehler im Escapen von CSV-Feldern mit einem " und ; zu beheben
| 
* [2022-04-01 13:20:18; Jan Wiesemann]:
| Nachricht für Beta-version angepasst
| 
* [2022-04-01 13:19:06; Jan Wiesemann]:
| Nachrichten Anzeigen, wenn pimtools als Beta gestartet wurde.
| 
* [2022-04-01 13:04:50; Jan Wiesemann]:
| Fehler in PimTols behoben, druch welchen die Anreicherung bei einer Blockgröße von -1 und einem Upload auf einn FTP-Server abstürzte
| 
* [2022-03-31 20:09:32; Jan Wiesemann]:
| Fehler in der Anreicherung behoben
| 
* [2022-03-31 13:24:37; Jan Wiesemann]:
| Fehler behoben, druch welchen die Anzahl an Anfragen im Dialog UserEditDialog nicht richtig angezeigt wurde
| 
* [2022-03-31 10:58:35; Jan Wiesemann]:
| NuGet updates
| 
* [2022-03-31 10:42:25; Jan Wiesemann]:
| nuget reinstall
| 
* [2022-03-31 10:26:39; Jan Wiesemann]:
| Fehlerbehebung
|   
*   [2022-03-30 15:08:41; Jan Wiesemann]:
|\  Merge branch 'master' into stableEditor
| | 
| * [2022-03-30 15:02:37; Jan Wiesemann]:
| | NuGet updates, um Datem in der Datenbank nicht mehr als Local time sondern UTC zu hinterlegen.
| | 
* | [2022-03-30 15:08:34; Jan Wiesemann]:
|/  Fehler behoben, durch welchen Lieferanten mit Logos nicht zusammengeführt werden konnten
| 
* [2022-03-28 15:33:48; Jan Wiesemann]:
| Fehler behoben, durch welchen die Merkmale eines Artikels nicht zusammengeführt werden konnten.
| 
* [2022-03-28 12:30:53; Jan Wiesemann]:
| Suche für Dialog zur übernahme von Daten aus einer Anreicherung. die Splaten des Fensters können jetzt verschoben werrden.
| 
* [2022-03-25 14:21:05; Jan Wiesemann]:
| Fehlende : im einstellungsdialog der Anreicherung eigefügt
| 
* [2022-03-25 13:51:35; Jan Wiesemann]:
| Die Anreicherung kann jetzt ein Format für bilder annehmen.
| 
* [2022-03-25 12:30:29; Jan Wiesemann]:
| Bei der Anreicherung werden jetzt die Freigaben von Artikeln, Variationen und Lieferanten berücksichtigt. Es ist kein Update für PimTools nötig.
| 
* [2022-03-24 11:19:22; Jan Wiesemann]:
| NuGet updates, um Layoutfehler im CSV-Import zu beheben
| 
* [2022-03-24 11:17:13; Jan Wiesemann]:
| Wenn im Import ein Merkmale nicht zugewiesen wurde, wird hier jetzt das Merkmal '---' verwendet.
|   
*   [2022-03-23 15:02:07; Jan Wiesemann]:
|\  Merge branch 'unitTests'
| | 
| * [2022-03-23 14:43:56; Jan Wiesemann]:
| | Test für Bacgmondo Anreicherungsformat
| | 
| * [2022-03-23 12:34:42; Jan Wiesemann]:
| | abhängigkeiten und Namespace anpassungen
| | 
| * [2022-03-23 12:31:39; Jan Wiesemann]:
| | Projekt angelegt
| | 
* | [2022-03-23 14:54:51; Jan Wiesemann]:
|/  Fehler behoben, durch welchen das Zusammenführen versucht hat, zwei Verbindungen zur Datenbank zu verwenden.
| 
* [2022-03-23 11:47:28; Jan Wiesemann]:
| InitChecks für tool CObjectGenerator überspringen
| 
* [2022-03-23 11:36:25; Jan Wiesemann]:
| Define entfernt
| 
* [2022-03-23 11:33:54; Jan Wiesemann]:
| Warenungen, wenn PimTools über Sciripte aufgerufen wird und die Version des Editors verwendet wird.
| 
* [2022-03-22 23:05:29; Jan Wiesemann]:
| Fehler behoben, druch welchen den Feldern der Anreicherung immer der Prefix PIM vorgesetzt wurde.
| 
* [2022-03-22 10:10:12; Jan Wiesemann]:
| Fehlerausgabe verbessert, wenn eine GLN bereits für einen anderen Liferanten hinterlegt ist.
| 
* [2022-03-21 18:56:13; Jan Wiesemann]:
| Layout für Liferant bearbeiten an die neue Steuerelemente angepasst
| 
* [2022-03-21 16:05:29; Jan Wiesemann]:
| Text aus den Feldern der Feldansicht kann kopiert werden
| 
* [2022-03-18 14:09:06; Jan Wiesemann]:
| NuGet updates, um Layout fehler zu beheben
| 
* [2022-03-18 13:48:33; Jan Wiesemann]:
| Anreicherungs import für Artikel und GTINs fertiggestellt
| 
* [2022-03-18 12:17:13; Jan Wiesemann]:
| Bearbeiten der Variation sowie deren Merkmale und Anzeige für Fehler.
| 
* [2022-03-17 13:21:38; Jan Wiesemann]:
| bearbeiten von Liferanten und merkmalen ohne Zuweisung
| 
* [2022-03-17 12:29:39; Jan Wiesemann]:
| Auswahl von Merkmalen, Liferant und Artikel
|   
*   [2022-03-17 10:48:00; Jan Wiesemann]:
|\  update von master
| | 
| * [2022-03-17 10:45:06; Jan Wiesemann]:
| | nuget reinstsall
| | 
| * [2022-03-17 10:22:38; Jan Wiesemann]:
| | nuget updates
| | 
* | [2022-03-17 10:18:31; Jan Wiesemann]:
| | aufwahl für atikel und lieferant
| | 
* | [2022-03-16 12:29:49; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungFuerPIMVonAnreicherung
| | 
| | # Conflicts:
| | #	src/Editor/App.xaml
| | #	src/Editor/Editor.csproj
| | #	src/PIMObjects/LieferantBase.cs
| |   
| *   [2022-03-16 12:22:46; Jan Wiesemann]:
| |\  Merge branch 'stableEditor'
| | | 
| | | # Conflicts:
| | | #	src/Editor/Objects/EditorMerkmal.cs
| | | 
| | * [2022-03-14 14:54:24; Jan Wiesemann]:
| | | Fehler im Mapper für Merkmale behoben
| | | 
| * | [2022-03-16 12:16:48; Jan Wiesemann]:
| | | Wenn beim Import eine Serie oder ein Label einen _ in dem langtext beinhaltet, wird alles vor sowie das Zeichen entfernt.
| | | 
| * | [2022-03-16 12:08:53; Jan Wiesemann]:
| |/  Der dialog zur bearbeiten von Merkmalen, zeigt jetzt auch an, welcher Lieferant dieses MM am häufigsten verwendet.
| | 
| * [2022-03-14 14:21:12; Jan Wiesemann]:
| | Weitere Fehler beim zusammenfügen von Merkmalen behoben
| | 
* | [2022-03-15 17:33:39; Jan Wiesemann]:
| | Anpassungen am Dialog zum importieren von Datensätzen aus der Anreicherung
| | 
* | [2022-03-14 13:43:40; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungFuerPIMVonAnreicherung
| | 
| * [2022-03-14 13:43:09; Jan Wiesemann]:
| | Spalten im MerkmalEditor für Anzhal der Verwendungen hinzugefügt
| | 
| * [2022-03-14 13:11:15; Jan Wiesemann]:
| | Fehler behoben, druch welchen das Programm beim umketten von Merkmalen ohne zuweisungen abgestürzt ist.
| | 
| * [2022-03-14 12:42:07; Jan Wiesemann]:
| | NuGet updates, um Fehler in den Auswahlboxen zu beheben
| | 
* | [2022-03-14 11:32:37; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungFuerPIMVonAnreicherung
| | 
| | # Conflicts:
| | #	src/Editor/App.xaml
| | #	src/LSPIM.Dialogs.Native/LSPIM.Dialogs.Native.vcxproj
| | #	src/LSPIM.NATIVE.Example/LSPIM.NATIVE.Example..vcxproj
| | #	src/LSPIM.NATIVE/LSPIM.NATIVE.vcxproj
| | #	src/TestApp/TestApp.vcxproj
| | 
| * [2022-03-14 11:17:18; Jan Wiesemann]:
| | Fehler behoben, druch welchen Merkmale nicht zusammengeführt werden konnten
| | 
| * [2022-03-14 10:19:16; Jan Wiesemann]:
| | NuGet.config angepasst
| | 
* | [2022-03-14 11:27:25; Jan Wiesemann]:
| | NuGet updates
| | 
* | [2022-03-08 14:58:20; Jan Wiesemann]:
| | Weiter an anreicherung
| | 
* | [2022-03-08 14:57:53; Jan Wiesemann]:
| | NuGet.Config angepasst
| | 
* | [2022-03-08 11:00:02; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungFuerPIMVonAnreicherung
| | 
| * [2022-03-08 10:59:25; Jan Wiesemann]:
| | Auswahl der Suchen im Dialog zur Artikelbearbeitung verbessert
| | 
* | [2022-03-07 16:58:02; Jan Wiesemann]:
| | Import von nicht vorhandenen GTINs erweitert.
| | 
* | [2022-03-04 15:25:43; Jan Wiesemann]:
| | Felderansicht für Datenreihe
| | 
* | [2022-03-04 11:20:08; Jan Wiesemann]:
| | Anpassung des Dialoges und reo des Codes
| | 
* | [2022-03-03 10:35:28; Jan Wiesemann]:
| | buildfehler behoben
| | 
* | [2022-03-03 09:38:42; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungsanzeige
| | 
| * [2022-03-02 10:28:17; Jan Wiesemann]:
| | Export für Dialog Lieferantenfarben bearbeiten
| | 
| * [2022-03-01 13:45:13; Jan Wiesemann]:
| | Fehler beim starten des Editors behoben
| | 
* | [2022-03-01 11:52:31; Jan Wiesemann]:
|\| Merge branch 'master' into anreicherungsanzeige
| | 
| * [2022-03-01 11:50:36; Jan Wiesemann]:
| | Buildwarnungen behoben
| | 
| * [2022-02-28 09:16:42; Jan Wiesemann]:
| | Fehler behoben, druch welchen die der Name einer Serie im Dialog Liferant -> Zuweisung nicht angezeigt wurde.
| | 
| * [2022-02-28 09:05:18; Jan Wiesemann]:
| | Feld Gender hinzugefügt
| | 
| * [2022-02-28 08:38:55; Jan Wiesemann]:
| | Fehler der SKU generierung im Dialog Lieferantenfarben bearbeiten behoben
| | 
| * [2022-02-25 12:16:41; Jan Wiesemann]:
| | MM Kurztext im Dialog Artikelvariation bearbeiten hinzugefügt
| | 
* | [2022-03-01 11:16:20; Jan Wiesemann]:
|\| Zweig update
| | 
| * [2022-02-25 11:32:39; Jan Wiesemann]:
| | Export 'GTIN mit Anzahl von Bildern"'
| |   
| *   [2022-02-25 10:36:16; Jan Wiesemann]:
| |\  Merge branch 'liferantenfarbenbearbeitenTopMMs'
| | | 
| | * [2022-02-25 10:35:50; Jan Wiesemann]:
| | | Zuweisungen im Dialog Liferantenfarben bearbeiten anzeigen
| | | 
| | * [2022-02-24 16:05:00; Jan Wiesemann]:
| | | init branch
| | | 
| * | [2022-02-25 10:05:11; Jan Wiesemann]:
| | | Fehler behoben, druch welchen die SKU beim Bulk änder einer Liferantenfarbe flasch generiert wurde.
| | | 
| * | [2022-02-24 16:08:08; Jan Wiesemann]:
| |\| Merge branch 'stableEditor'
| | | 
| | * [2022-02-24 11:38:10; Jan Wiesemann]:
| | | NuGet Updates für ProgresDialog
| | | 
| | * [2022-02-24 11:16:53; Jan Wiesemann]:
| | | Anzahl der angezeigten Farben im Dialog 'Lieferantenfarben bearbeiten' eingefüht.
| | | 
| | | Fortschritt bei der Funktion 'Ersetzen' anzeigen
| | | 
| | * [2022-02-24 10:32:29; Jan Wiesemann]:
| | | nuget updates
| | | 
| | * [2022-02-23 12:21:35; Jan Wiesemann]:
| | | Fehler in Abfrage für Merkmale behoben. Hier wurden nicht in den Lokalisierten Namen gesucht.
| | | 
| | * [2022-02-23 12:04:37; Jan Wiesemann]:
| | | Dialog Lieferantenfarben bearbeiten verwendet jetzt die Makierung für das zuweisen von Merkmalen. So kann ein merkmal mehreren Farben zugewiesen werden.
| | | 
| | * [2022-02-22 17:18:21; Jan Wiesemann]:
| | | Fehler behoben, druch welchen die Zahlen im Fenster Lieferantenfarbe bearbeiten nicht richtig angezeiget wurden. Hier wurde nicht gefiltert, ob es sich um das MM Farbe handelt.
| | |   
| * |   [2022-02-24 12:36:43; Jan Wiesemann]:
| |\ \  Merge branch 'stablePimTools'
| | |/  
| |/|   
| | | 
| | * [2022-02-24 12:36:09; Jan Wiesemann]:
| | | Fehler behoben, druch welchen das Einstellungsfenster der Anreicherung bei einem leeren Passwort abstürzte
| | | 
| * | [2022-02-22 14:49:29; Jan Wiesemann]:
| | | Liefertantenfarben bearbeiten erweitert. Hier kann jetzt ein Merkmal für alle Farben zugewiesen werden. Die spalte 'Unterschiedliche Merkmalzuweisungen' zeigt an, wie viele verschiedene Merkmale zugewiesen wurden. Die Spalte 'Anzahl mit Merkmalzuweisung' zeigt an, wie vielen der Variationen ein Merkmal zugewiesen wurde. diese Werte werden nur angezeigt, wenn ein Lieferant ausgewählt wurde!
| | | 
| | | Die Ziweusungen sind okay, wenn
| | | 1. 'Unterschiedliche Merkmalzuweisungen' gleich 1 ist und
| | | 2. 'Anzahl mit Merkmalzuweisung' gleich 'Verwendet in'
| | | 
| * | [2022-02-21 15:42:13; Jan Wiesemann]:
| | | Fehlerbehebungen
| | | 
| * | [2022-02-14 13:23:31; Jan Wiesemann]:
| | | nuget updates
| | | 
| * | [2022-02-14 13:20:54; Jan Wiesemann]:
| | | Icons für ListBearbeiten Dialoge angepasst
| | | 
| * | [2022-02-14 12:44:11; Jan Wiesemann]:
| | | Fehler behoben, druch welchen die Schaltflächen in ListBearbeiten Fenstern nicht angezeigt wurden.
| | | 
| * | [2022-02-14 08:29:29; Jan Wiesemann]:
| | | Beim Import von Beschreibeungen wird jetzt die Einstellunge "Immer überschreiben" berücksichtigt
| | | 
| * | [2022-02-11 18:05:44; Jan Wiesemann]:
| | | Import für Beschreibungen anhand einer GTIN. PimTools -> Import Tool -> Format: BeschreibungenImportUi
| | | 
| * | [2022-02-09 12:46:39; Jan Wiesemann]:
| | | Pfad erneut angepasst
| | | 
| * | [2022-02-09 12:37:33; Jan Wiesemann]:
| | | xcopy Pfade angepasst, da Windoof eben Windoof ist und auf unterschiedlichen Windows 10 Versionen die Pfade unterschiedlich behandelt.
| | | 
| * | [2022-02-09 12:29:01; Jan Wiesemann]:
| |/  Buildfehler behoben
| |   
| *   [2022-02-09 12:14:33; Jan Wiesemann]:
| |\  Merge branch 'master' into stablePimTools
| | | 
| | * [2022-02-04 13:33:56; Jan Wiesemann]:
| | | Buttons für die Auswahl von allen Bildern hinzugefügt
| | | 
| | * [2022-02-03 13:51:52; Jan Wiesemann]:
| | | Fehler in der Konfiguration behoben, druch welchen die Projekte TestApp und Exaple nicht gestartet werden konnten
| | | 
| | * [2022-02-01 10:27:18; Jan Wiesemann]:
| | | Lieferant bearbeiten Dialog Can Maximize hinzugefügt
| | | 
| | * [2022-01-24 14:43:08; Jan Wiesemann]:
| | | Fehler beim anlegen von Merkmalen behoben
| | | 
| | * [2022-01-24 14:35:53; Jan Wiesemann]:
| | | Fehlerausgabe erweitert
| | | 
| | * [2022-01-21 17:12:33; Jan Wiesemann]:
| | | Ersetztenfunktion in das Werkzeug zur Bulkbearbeitung von Lieferantenfarben eingebaut.
| | | 
| | * [2022-01-18 12:11:18; Jan Wiesemann]:
| | | Werkzeug zum bearbeiten von Liferantenfarben erweitert. Dises kann jetzt Fargen gruppieren sowie die SKU anpassen.
| | |   
| | *   [2022-01-17 11:22:59; Jan Wiesemann]:
| | |\  Merge branch 'master' into stableEditor
| | | | 
| | | | # Conflicts:
| | | | #	src/Editor/Editor.csproj
| | | | #	src/Editor/packages.config
| | | | #	src/LSPIM.Dialogs/LSPIM.Dialogs.csproj
| | | | #	src/LSPIM.Dialogs/packages.config
| | | | #	src/NetTestApp/NetTestApp.csproj
| | | | #	src/NetTestApp/packages.config
| | | | #	src/PIMData/PIMData.csproj
| | | | #	src/PIMtools/PIMtools.csproj
| | | | #	src/PIMtools/packages.config
| | | | #	src/Server/Server.csproj
| | | | 
| | | * [2022-01-17 11:19:16; Jan Wiesemann]:
| | | | Werkzeug zur korrektur von Fehlerhaften Lieferantenfarben
| | | | 
| | * | [2022-01-13 10:34:40; Jan Wiesemann]:
| | | | NuGet Updates, um Fehler zu beheben, welche bei nur einer Datenbankverbindung auftreten konnten
| | | | 
| | * | [2022-01-12 17:22:12; Jan Wiesemann]:
| | | | Für das Starten von PimTools wird jetzt der komplette Pfad verwendet
| | | | 
| | * | [2022-01-12 17:17:28; Jan Wiesemann]:
| | |/  Wenn PimTools nicht gestartet werden kann, wird jetzt ein Fehler angezeigt.
| | | 
| * | [2022-02-09 12:13:46; Jan Wiesemann]:
| | | Fehlerausgabe, wenn die Überprüfung der Anreicherungseinstellungen fehlgeschlagen ist.
| | | 
| * | [2022-02-09 12:04:20; Jan Wiesemann]:
| |/  Fehlerausgabe der Anreicehrung erweitert
| | 
| * [2022-01-12 11:23:52; Jan Wiesemann]:
| | NuGet updates
| | 
| * [2022-01-12 10:19:39; Jan Wiesemann]:
| | Trace für Import in PIM Tools
| | 
| * [2022-01-11 15:09:47; Jan Wiesemann]:
| | NuGet updates, um Fehler beim Import zu beheben
| | 
| * [2022-01-11 14:54:00; Jan Wiesemann]:
| | Buildfehler behoben
| | 
| * [2022-01-11 14:51:40; Jan Wiesemann]:
| | Encoding Name im Import anzeigen, Ausgabe des Imports verbessert
| |   
| *   [2022-01-06 12:55:26; Jan Wiesemann]:
| |\  merge
| | |   
| | *   [2022-01-05 14:24:54; Jan Wiesemann]:
| | |\  Merge branch 'pullremoteserver'
| | | | 
| | | * [2022-01-05 14:24:31; Jan Wiesemann]:
| | | | Charsets für MariaDB angepasst
| | | | 
| | | * [2022-01-05 11:25:53; Jan Wiesemann]:
| | | | Fehlerbehebungen
| | | | 
| | | * [2022-01-03 15:01:03; Jan Wiesemann]:
| | | | Abrufen von Tabellen und Daten
| | | | 
| | * | [2022-01-05 11:33:27; Jan Wiesemann]:
| | |/  Durch die Makierung können jetzt mehrere Artikel zu einem anderen Lieferanten verschoben werden.
| | | 
| | * [2022-01-03 11:24:38; Jan Wiesemann]:
| | | Fehlerbehebungen für die Umstellung des Servers auf einen externen Provider.
| | | Fehler in den Einstelunngen des Servers behoben. Diese Configdatei wurde nicht erstellt.
| | | 
| | * [2021-12-17 16:38:08; Jan Wiesemann]:
| | | BackgroundWorkerProgress zeigt jetzt die UserID an.
| | | 
| * | [2022-01-06 12:54:04; Jan Wiesemann]:
| | | Details über eine vorherige Anreicherung erweitert
| | | 
| * | [2022-01-06 12:36:10; Jan Wiesemann]:
| | | Program.TestFileDir deaktiviert
| | |   
* | |   [2021-12-17 10:24:36; Jan Wiesemann]:
|\ \ \  Merge branch 'master' into anreicherungsanzeige
| | |/  
| |/|   # Conflicts:
| | |   #	src/Editor/Editor.csproj
| | |   #	src/Editor/packages.config
| | |   #	src/LSPIM.Controls/LSPIM.Controls.csproj
| | |   #	src/LSPIM.Controls/packages.config
| | |   #	src/LSPIM.Dialogs.Native/LSPIM.Dialogs.Native.vcxproj
| | |   #	src/LSPIM.Dialogs.Native/packages.config
| | |   #	src/LSPIM.Dialogs/LSPIM.Dialogs.csproj
| | |   #	src/LSPIM.Dialogs/packages.config
| | |   #	src/LSPIM.NATIVE.Example/LSPIM.NATIVE.Example..vcxproj
| | |   #	src/LSPIM.NATIVE.Example/packages.config
| | |   #	src/LSPIM.NATIVE/LSPIM.NATIVE.vcxproj
| | |   #	src/LSPIM.NATIVE/packages.config
| | |   #	src/NetTestApp/NetTestApp.csproj
| | |   #	src/NetTestApp/packages.config
| | |   #	src/PIMObjects/PIMObjects.csproj
| | |   #	src/PIMtools/PIMtools.csproj
| | |   #	src/PIMtools/packages.config
| | |   #	src/TestApp/TestApp.vcxproj
| | |   #	src/TestApp/packages.config
| | | 
| * | [2021-12-17 10:21:48; Jan Wiesemann]:
| | | Fehlerausgabe verbessert
| | | 
| * | [2021-12-17 10:00:27; Jan Wiesemann]:
| | | Fehlerbehebung
| | | 
| * | [2021-12-17 09:58:36; Jan Wiesemann]:
| |/  Der Server speichert die zuletzte eingegangenen Dateien der Anreicherung jetzt in einem Unterordner
| | 
| * [2021-12-16 21:29:25; Jan Wiesemann]:
| | Fehler behoben, druch welchen die Ergebnisse einer Anreicherung nicht in die Datenbank eingefügt werden konnten.
| | 
| * [2021-12-16 20:18:22; Jan Wiesemann]:
| | Fehler in den Serveradressen der neuen Verbindungsauswahl behoben
| | 
| * [2021-12-16 14:17:48; Jan Wiesemann]:
| | Buildfehler behoben
| | 
| * [2021-12-16 14:14:24; Jan Wiesemann]:
| | Auswahl des Servers und der Datenbank vereinfacht
| | 
| * [2021-12-16 12:54:26; Jan Wiesemann]:
| | Fehler behoben, druch welchen Lieferanten nicht zusammengeführt werdfen konnten.
| |   
| *   [2021-12-14 12:04:06; Jan Wiesemann]:
| |\  Merge branch 'master' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM
| | | 
| | * [2021-12-08 18:38:10; Uwe Landau]:
| | | Schreibkorrekturen von Meldungen vorgenommen
| | |   
| * |   [2021-12-14 12:03:36; Jan Wiesemann]:
| |\ \  Merge branch 'stable' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM into stable
| | | | 
| | * | [2021-12-10 13:44:20; Jan Wiesemann]:
| | | | Index für die ArtikeVariation Datenbank eingeschaltet
| | | |   
| | * |   [2021-12-10 13:37:15; Jan Wiesemann]:
| | |\ \  Merge branch 'stable' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM into stable
| | | | | 
| | | * | [2021-12-09 23:42:51; Jan Wiesemann]:
| | | | | Fehlerbehebungen
| | | | | 
| | | * | [2021-12-09 20:56:28; Jan Wiesemann]:
| | | | | Fehler im Background worker behoben. Statusseite für Vortschritt der Anreicherung
| | | | | 
| | | * | [2021-12-09 18:38:11; Jan Wiesemann]:
| | | | | Nuget Updates, um Fehlerbehandlung von BackgroundWorker zu verbessern
| | | | | 
| * | | | [2021-12-10 13:44:20; Jan Wiesemann]:
| | | | | Index für die ArtikeVariation Datenbank eingeschaltet
| | | | | 
| * | | | [2021-12-09 23:42:51; Jan Wiesemann]:
| | | | | Fehlerbehebungen
| | | | | 
| * | | | [2021-12-09 20:56:28; Jan Wiesemann]:
| | | | | Fehler im Background worker behoben. Statusseite für Vortschritt der Anreicherung
| | | | | 
| * | | | [2021-12-09 18:38:11; Jan Wiesemann]:
| | | | | Nuget Updates, um Fehlerbehandlung von BackgroundWorker zu verbessern
| | | | | 
| * | | | [2021-12-07 15:19:48; Jan Wiesemann]:
| | | | | BeschreibungenLoeschenTool
| | | | | 
| * | | | [2021-12-07 13:05:46; Jan Wiesemann]:
| | | | | Upload "Anreicherung" die Anreicherung mit dem Namen Upload kann verwendet werden, um Dateien auzf einen FTP-Server zu übertragen.
| | | | | 
| * | | | [2021-12-07 12:54:44; Jan Wiesemann]:
| |/ / /  Log für das anreichern von Dateien
| | | | 
| * | | [2021-12-10 13:36:37; Jan Wiesemann]:
| | | | Server Deploy dateien hinzugefügt
| | | | 
| * | | [2021-12-10 09:42:39; Jan Wiesemann]:
| | | | Rollback + Eingabedateien der Anreicherung inm seperaten Ordner schreiben.
| | | | 
* | | | [2021-12-09 18:23:10; Jan Wiesemann]:
| |/ /  erstellen
|/| |   
| | | 
* | | [2021-12-07 15:19:48; Jan Wiesemann]:
| | | BeschreibungenLoeschenTool
| | | 
* | | [2021-12-07 13:05:46; Jan Wiesemann]:
| | | Upload "Anreicherung" die Anreicherung mit dem Namen Upload kann verwendet werden, um Dateien auzf einen FTP-Server zu übertragen.
| | | 
* | | [2021-12-07 12:54:44; Jan Wiesemann]:
|/ /  Log für das anreichern von Dateien
| | 
* | [2021-12-06 20:08:47; Jan Wiesemann]:
| | FTPImageReuploader, um bereits hochgeladenen Bilder erneut hoch zu laden.
| | 
* | [2021-12-06 12:41:53; Jan Wiesemann]:
| | Optimierungen, um Ladezeit des Usereditors zu verbessern
| | 
* | [2021-12-03 18:46:48; Jan Wiesemann]:
| | Interne Doku angepasst
| | 
* | [2021-12-03 12:33:02; Jan Wiesemann]:
| | Bei der Anreicherung wertden doppelte jetzt zusätzlich anhand der GLN entfernt.
| | 
* | [2021-12-03 10:52:31; Jan Wiesemann]:
| | Ausgabe erweitert, wenn die Parameter der anreicherung nicht gültig sind.
| | 
* | [2021-12-02 19:28:50; Jan Wiesemann]:
| | Fehler behoben, druch welchen der Pfad der anreicherung merhfach angezeigt wurde. Fehler behoben, druch welchen die Validierung eines Ftp-Pfades immer fehlschlug.
| | 
* | [2021-12-02 17:59:24; Jan Wiesemann]:
| | Fehler in den Benutzerparametern der Anreicherung behoben
| | 
* | [2021-12-01 10:43:49; Jan Wiesemann]:
| | Fehler in der Anreicherung behoben
| | 
* | [2021-11-30 14:13:35; Jan Wiesemann]:
| | Anreicherung Encoding mit UTF-8 BOM
| | 
* | [2021-11-30 13:02:58; Jan Wiesemann]:
| | Archivpfad der Anreicherung angepasst.
| | PimTools gibt beim anreichern einer leeren Datei einen Fehler aus.
| | 
* | [2021-11-30 10:10:15; Jan Wiesemann]:
| | Fehler behoben, druch welchen immer angezeigt wurde, dass ein Update verfügbar ist,
| | 
* | [2021-11-29 19:36:26; Jan Wiesemann]:
| | Buildfehler behoben
| | 
* | [2021-11-29 19:34:56; Jan Wiesemann]:
| | merge
| | 
* | [2021-11-29 18:07:43; Jan Wiesemann]:
| | Fehler beim erstellen der Serverpfade behoben
| | 
* | [2021-11-29 17:55:51; Jan Wiesemann]:
| | Pfade für den Server werden jetzt beim starten erstellt.
| | 
* | [2021-11-29 17:48:14; Jan Wiesemann]:
| | Speicherpfade verinfacht
| | 
* | [2021-11-29 01:34:35; Jan Wiesemann]:
| | NuGet updates
| | 
* | [2021-11-26 21:10:04; Jan Wiesemann]:
| | Fehler behoben, durch welchen der Nutzernamen und das Passwort im Eingabedialog der Anreicherung immer wieder überschrieben wurden.
| | 
* | [2021-11-26 16:21:54; Jan Wiesemann]:
| | Wenn in der Anreicherung ie Blocksze -1 ist, wird die Datei nicht mehr geteilt.
| | Der Pfad für die Remoteanreicherung git jetzt auch den Dateinamen an. wenn dieser nicht angegeben ist, wird einer erstellt.
| | 
* | [2021-11-26 14:26:26; Jan Wiesemann]:
| | Buildfehler behoben
| | 
* | [2021-11-26 14:22:29; Jan Wiesemann]:
| | Dialog zum Einstllen der Anreicherung kann die Passworte direkt verschlüsseln
| | 
* | [2021-11-25 11:57:18; Jan Wiesemann]:
| | BackgroundQueue in LSDOTNETCORE verschoben
| | 
* | [2021-11-25 10:20:39; Jan Wiesemann]:
| | Commandline argumente sind in eigener Klasse untergebracht
| | 
* | [2021-11-25 09:26:52; Jan Wiesemann]:
| | NuGet updates, um Fehler beim laden von einigen Dialogen zu beheben
| | 
* | [2021-11-24 19:26:30; Jan Wiesemann]:
| | Schreibfehler in PimTools behoben
| | 
* | [2021-11-24 16:18:57; Jan Wiesemann]:
| | Felder Verband und Platform im User hinzugefügt
| | 
* | [2021-11-24 15:52:37; Jan Wiesemann]:
| | Fehler behoben, druch welchen Item bei einer angegebenen aber leeren Blacklist nicht angezeigt wurden
| | 
* | [2021-11-24 14:04:00; Jan Wiesemann]:
| | Fehler in Buildpfaden behoben
| | 
* | [2021-11-24 13:50:06; Jan Wiesemann]:
| | Fehler behoben, druch welchen keine Einträge für Pflegehinweis und Beshreibung hinzugeügt werden konnten.
| | 
* | [2021-11-23 12:40:41; Jan Wiesemann]:
| | Fehler im Background worker behoben
| | 
* | [2021-11-22 20:19:10; Jan Wiesemann]:
| | Ausgabepfad von LSPIM.Native.Dialogs angepasst
| | 
* | [2021-11-22 20:15:02; Jan Wiesemann]:
| | Fehlerhafte Nugetpackte aus projekt entfernt
| | 
* | [2021-11-22 20:03:25; Jan Wiesemann]:
| | Blocksize der Anreicherung ist jetzt auf 100 gesetzt
| | 
* | [2021-11-22 19:44:41; Jan Wiesemann]:
| | warteschlange für Bilder und Anreicherung
| | 
* | [2021-11-22 15:18:45; Jan Wiesemann]:
| | Warteschlange für Hintergrundaufgaben
| | 
* | [2021-11-22 10:32:41; Jan Wiesemann]:
| | Buildfehler behoben
| |   
* |   [2021-11-22 10:24:52; Jan Wiesemann]:
|\ \  merge
| | | 
| * | [2021-11-16 09:51:25; Jan Wiesemann]:
| | | nuget updates
| | | 
| * | [2021-11-12 09:44:59; Jan Wiesemann]:
| | | Sortieren von GLNs und Serien eines Lieferanten.
| | | 
| * | [2021-11-11 10:25:22; Jan Wiesemann]:
| | | LiefLogoToDBLogo angepasst, um bilder aus einem bestimmten ordner hoch zu laden. Dies kann als Logoimport verwendet werden.
| | | 
| * | [2021-11-11 10:13:18; Jan Wiesemann]:
| | | GLN Import Tool
| | | 
| * | [2021-11-10 11:55:43; Jan Wiesemann]:
| | | Tool zum umbenennen von Bildern anhand einer Excel-Datei
| | | 
| * | [2021-11-10 10:48:57; Jan Wiesemann]:
| | | Fehler behoben, durch welchen Merkmale nicht über ide Listen des Artikel Bearbeiten Fensters erstellt werden konnten,
| | | 
| * | [2021-11-08 11:22:37; Jan Wiesemann]:
| | | ImageSortingFixerTool Um tool erweitert, welches den Index anahnd des Namens automatisch festlegt.
| | | 
| * | [2021-11-08 11:07:46; Jan Wiesemann]:
| | | Fehler in ImageSortingFixerTool behoben
| | | 
| * | [2021-11-05 09:56:37; Jan Wiesemann]:
| | | Makierung für Artikel und Variationsmerkmale. Hier können jetzt mehrere Items auf einmal gelöscht werden.
| | | 
| * | [2021-11-04 13:00:06; Jan Wiesemann]:
| | | GTINPIcNameToMainPic tool entfernt und ImageSortingFixerTool hinzugefügt
| | | 
| * | [2021-11-03 16:06:26; Jan Wiesemann]:
| | | Wenn der Server ein Bild nicht auf der Festplatte findet, wird  dies jetzt als Fehlertext angezeigt
| | | 
| * | [2021-11-03 15:12:23; Jan Wiesemann]:
| | | Wenn PimTools vom Editor aus gestartet wird, wird dies nicht mehr als CommandLine Start interpretiert. Dadruch ist bspw. das Aufrufen der Anreicherung aus dem Editor möglich.
| | | 
| * | [2021-11-03 15:03:11; Jan Wiesemann]:
| | | PimTools parameter connections überscheibt die Anzahl der Verbindungen
| | | 
| * | [2021-11-03 15:00:08; Jan Wiesemann]:
| | | PimTools info für Tool RemoveDuplicateMerkamle
| | | 
| * | [2021-11-03 14:51:20; Jan Wiesemann]:
| | | Zugriff für Artikel und Variationen löschen kann jetzt einem Nutzer zugewiesen werden.
| | | 
| * | [2021-11-03 14:38:26; Jan Wiesemann]:
| | | Beschränkungen in der Datenbank angepasst, um Fehlerquelle für Falsche Angelegt von und am daten zu finden.
| | | 
| * | [2021-11-03 13:54:20; Jan Wiesemann]:
| | | Geändert von und wann in die Variationsbilder eingebaut
| | | 
| * | [2021-11-01 11:41:57; Jan Wiesemann]:
| | | Fehler behoben, druch welchen Bilder der Anreicherung nicht hochgeladen wurden.
| | | 
| | | PimTool AnreicherungUploadedImages hinzugefügt
| | | 
| * | [2021-10-14 11:37:54; Jan Wiesemann]:
| | | Fehler in der Anreicherung behoben. Hier wurde auf dem Server die Bilderspalte nicht richtig gesetzt.
| | | 
| * | [2021-10-12 15:20:06; Jan Wiesemann]:
| | | Anreicherung für GTIN-Liste
| | | 
| * | [2021-10-12 14:41:28; Jan Wiesemann]:
| | | Warteschlange für das Hochladen von FTP-Bildern angepasst, dass diese auch nach einem Neustart des Servers bestehen bleibt
| | | 
| * | [2021-10-08 09:43:51; Jan Wiesemann]:
| | | Buildordner angepasst
| | | 
| * | [2021-10-08 09:27:33; Jan Wiesemann]:
| | | Buildfehler behoben
| | | 
| * | [2021-09-29 19:50:30; Jan Wiesemann]:
| | | Export aller Variationen erweitert. Dieser gibt hetzt auxh die Beschreibung, Pflegehinweis und alle Lieferanteninformationen aus.
| | | 
| * | [2021-09-28 10:22:50; Jan Wiesemann]:
| | | NuGet updates, um Fehler in Abfragen zu beheben
| | | 
| * | [2021-09-27 10:37:28; Jan Wiesemann]:
| | | Export für WorkerTool. Dieser kann über PimTools mit dem Befehl Export erstellt werden,
| | | 
| * | [2021-09-17 15:33:13; Jan Wiesemann]:
| | | Fehler behoben, durch welches Mekrmale mit einem Falschen Typen, nach der Eingabe eines Suchwortes angezeigt wurden.
| | | 
| * | [2021-09-13 13:06:12; Jan Wiesemann]:
| | | Fehler behoben, durch welchen doppelte Artikelmerkmaltypen nicht gelöscht wurde. Dies hatte zu Folge, dass merhe Merkmale mit bspw. Serie hinzugefügt werden konnten.
| | | 
| * | [2021-09-08 11:12:03; Jan Wiesemann]:
| |\| Merge branch 'master' into stable
| | | 
| * | [2021-09-02 08:50:37; Jan Wiesemann]:
| | | Tool zum entfernen von EXIF-Daten aus Bildern.
| | | 
| * | [2021-09-01 09:22:57; Jan Wiesemann]:
| | | ExifDaten werden beim Upload aus den Bildern entfernt
| | | 
| * | [2021-08-31 14:32:29; Jan Wiesemann]:
| | | Buildfehler behoben
| | | 
| * | [2021-08-31 12:56:45; Jan Wiesemann]:
| | | NuGet updates, um einen Fehler zu beheben, durch welchen der ProgressDialog beim Import nicht geschlossen wurde.
| | | 
* | | [2021-11-22 10:17:08; Jan Wiesemann]:
| | | PimTools für RemoteAnreicherung erweitert
| | | 
* | | [2021-11-19 21:31:27; Jan Wiesemann]:
| | | Remote anreicherung in PimTools implementiert
| | | 
* | | [2021-11-19 20:30:49; Jan Wiesemann]:
| | | NuGEt updates
| | | 
* | | [2021-11-19 12:11:53; Jan Wiesemann]:
| | | nuget updates
| | | 
* | | [2021-11-19 11:01:09; Jan Wiesemann]:
| | | Weitere Fehler in der NuGet config behoben
| | | 
* | | [2021-11-19 10:25:31; Jan Wiesemann]:
| | | Fehl in nuget konfigurationen behoben
| | | 
* | | [2021-11-18 18:47:15; Jan Wiesemann]:
| |/  Die Ausgabe (stdout) von PimTools kann jetzt weitergeleitet werden.
|/|   
| | 
* | [2021-09-08 11:09:00; Jan Wiesemann]:
| | Fehler beim Abfragen von Lieferantenlogos behoben. Hier wurde der Name des Bildes nicht richtig angezeigt.
| | 
* | [2021-09-08 11:02:40; Jan Wiesemann]:
| | Beim Abfrage von Bildern kann jetzt der Download-Name angegeben werden. Dieser wird bei den Lieferantenlogos automatisch auf den Namen des Bildes gesetzt. Dies kann verwendet werden, um die Logs für ein Label abzurufen.
| | 
* | [2021-09-08 10:48:57; Jan Wiesemann]:
| | Herstellerland nach ISO 3166 und Zolltarifnummer hinzugefügt
| | 
* | [2021-09-08 10:04:47; Jan Wiesemann]:
|/  Der Export kann nach Lieferanten filtern.
|   
*   [2021-08-30 13:56:57; Jan Wiesemann]:
|\  Merge branch 'stable' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM into stable
| | 
| * [2021-08-27 11:28:15; Jan Wiesemann]:
| | buildfehler behoben
| |   
| *   [2021-08-27 10:31:16; Jan Wiesemann]:
| |\  Merge branch 'master' into stable
| | | 
| * | [2021-08-02 13:30:04; Jan Wiesemann]:
| | | Fehlerhaften Core Type entfernt
| | | 
| * | [2021-07-29 14:35:32; Jan Wiesemann]:
| | | Löschen von Core Merkmalen ist nicht mehr möglich
| | | 
| * | [2021-07-28 10:13:43; Jan Wiesemann]:
| | | Das Fenster zur bearbeitung von Merkmaltypen bietet jetzt die Möglichkeit Typen zusammen zu führen.
| | | 
| * | [2021-07-22 15:04:41; Jan Wiesemann]:
| | | QuickView funktion im Artikeleditor deaktiviert
| | | 
| * | [2021-07-22 10:03:31; Jan Wiesemann]:
| | | Der Import bricht jetzt nicht mehr ab, wenn kein Langtext angegeben wurde. Statdessen wird ein Fehler in die Ausgabedatei geschrieben.
| | | 
* | | [2021-08-30 13:50:46; Jan Wiesemann]:
| | | Artikelname und Lieferant wird jetzt in der Titelzeile des Fensters zur Bearbeitung von Variationen angezeigt.
| | | 
* | | [2021-08-30 13:38:57; Jan Wiesemann]:
| | | Export für Bilderlinks
| | | 
* | | [2021-08-30 12:53:17; Jan Wiesemann]:
| | | Export für Lederwarenmesse
| | | 
* | | [2021-08-27 11:28:15; Jan Wiesemann]:
| | | buildfehler behoben
| | | 
* | | [2021-08-02 13:30:04; Jan Wiesemann]:
| | | Fehlerhaften Core Type entfernt
| | | 
* | | [2021-07-29 14:35:32; Jan Wiesemann]:
| | | Löschen von Core Merkmalen ist nicht mehr möglich
| | | 
* | | [2021-07-28 10:13:43; Jan Wiesemann]:
| | | Das Fenster zur bearbeitung von Merkmaltypen bietet jetzt die Möglichkeit Typen zusammen zu führen.
| | | 
* | | [2021-07-22 15:04:41; Jan Wiesemann]:
| | | QuickView funktion im Artikeleditor deaktiviert
| | | 
* | | [2021-07-22 10:03:31; Jan Wiesemann]:
| |/  Der Import bricht jetzt nicht mehr ab, wenn kein Langtext angegeben wurde. Statdessen wird ein Fehler in die Ausgabedatei geschrieben.
|/|   
| | 
* | [2021-08-25 10:13:56; Jan Wiesemann]:
| | Fehler im Import behoben, durch welchen Serie als Merkmal 3 und Label als Merkmal 4 angelegt wurden.
| | 
* | [2021-07-21 10:26:06; Jan Wiesemann]:
|/  NuGet updates
| 
* [2021-07-21 10:10:13; Jan Wiesemann]:
| Fehler im Import behoben, druch welchen Langtexte eines Merkmals nicht gesetzt wurden.
| Langtexte werden, wenn vorhanden, jetzt vom Import aktualisiert.
| 
* [2021-07-16 12:00:40; Jan Wiesemann]:
| .targets an neuen Infocash Projektnamen angepasst
| 
* [2021-07-14 13:55:18; Jan Wiesemann]:
| Farbe des AppIcons angepasst
| 
* [2021-07-05 12:23:24; Jan Wiesemann]:
| Upload von PNG-Bilder ermöglicht. Diese können für Logos verwendet werden.
|   
*   [2021-07-05 11:37:13; Jan Wiesemann]:
|\  Merge branch 'stable'
| | 
| * [2021-07-05 11:33:15; Jan Wiesemann]:
| | PicNameRepairer, um Fehlerhafte Bildernamen zu beheben.
| | 
| * [2021-07-05 10:22:09; Jan Wiesemann]:
| | Fehler behoben, durch welchen die SKU2 in einem Bildernamen nicht entfernt wurde.
| | Fehler behoben, druch welchen Bildernamen immer einen _ am anfang hatten.
| | 
| * [2021-07-05 10:19:07; Jan Wiesemann]:
| | Bilder können über den Editor heruntergeladen werden. (Nur für Editorren oder User mit dem passenden Recht)
| | 
| * [2021-06-30 11:20:10; Jan Wiesemann]:
| | Merkmalzuweisungen im Editor verwenden jetzt die MerkmalTypeMap als Standart.
| | 
| * [2021-06-30 10:58:37; Jan Wiesemann]:
| | MerkmalTypeMap im Server implementiert.
| | 
| * [2021-06-30 10:43:13; Jan Wiesemann]:
| | PimInfo für die Anreicherung verbessert. Es wird jetzt angezeigt, ob mehrere Merkmale für für diesen typen gefunden wurden.
| | 
| * [2021-06-25 09:37:48; Jan Wiesemann]:
| | Fehler behoben, druch welchen die Anwendung bei einer Artikelkennung mit dem Wert NULL abgestürzt ist.
| | 
* | [2021-06-23 10:15:16; Jan Wiesemann]:
|/  PimTools Werkzeuge können jetzt aus dem Editor geöffnet werden.
| 
* [2021-06-22 09:28:28; Jan Wiesemann]:
| Fehler behoben, druch welchen Bilder ohne SKU nicht hochgeladen werden konnten.
| 
* [2021-06-21 12:11:26; Jan Wiesemann]:
| nuget updates
| 
* [2021-06-18 19:35:22; Jan Wiesemann]:
| Releae script
| 
* [2021-06-18 18:36:40; Jan Wiesemann]:
| Resourcenfehler behoben
| 
* [2021-06-17 12:55:08; Jan Wiesemann]:
| Fehler behoben, druch welchen das Programm beim intallieren von Beta-Versionen nicht geschlossen wurce.
| 
* [2021-06-17 12:50:52; Jan Wiesemann]:
| Datumsfehler beim intallieren von Updates behoben
| 
* [2021-06-17 12:46:45; Jan Wiesemann]:
| Installation von Beta-Versionen kann über die EInstellungen festgelegt werden.
| 
* [2021-06-16 12:44:06; Jan Wiesemann]:
| Info nach Erfolgreichem ausführen einer BulkAction anzeigen.
| 
* [2021-06-16 10:16:56; Jan Wiesemann]:
| Automatisches Zusammenführen von Variatonen so erweitert, dass auch Artikel zumsannengeführt werden,
| 
* [2021-06-14 13:12:28; Jan Wiesemann]:
| Updater Bibliothek aktuallisiert, um das Installieren vin Updates zu erleichtern.
| 
* [2021-06-11 13:36:12; Jan Wiesemann]:
| Installation des Updaters vereinfacht
| 
* [2021-06-10 12:22:02; Jan Wiesemann]:
| Fehler beim Import von Bildern behoben
| 
* [2021-06-10 10:31:35; Jan Wiesemann]:
| Hinweis installer nicht in das Verzeichniss von PIM
| 
* [2021-06-10 10:29:13; Jan Wiesemann]:
| Artikelkennung zeigt jetzt den eine Information zur bedeutung an. Im ToolTip sind alle bedeutungen zu finden.
| 
* [2021-06-09 12:59:11; Jan Wiesemann]:
| Fehlerausgabe für WebFehler verbessert
| 
* [2021-06-09 12:38:09; Jan Wiesemann]:
| Tool Beschreibungen
| 
* [2021-06-09 11:37:28; Jan Wiesemann]:
| Tool LiefGTINExport zum Exportieren von GTINs einen Lieferanten
| 
* [2021-06-07 14:09:23; Jan Wiesemann]:
| Buildconfig angepasst
| 
* [2021-06-07 14:00:16; Jan Wiesemann]:
| Fehler in GTINSKUPicBackup behoben
| 
* [2021-06-07 12:37:39; Jan Wiesemann]:
| Abrufen der Logos über die alte LogoID ermöglicht
| 
* [2021-06-07 12:16:49; Jan Wiesemann]:
| Lieferantenlogos können jetzt über den Editor hochgeladen werden.
|   
*   [2021-06-07 11:21:17; Jan Wiesemann]:
|\  Merge branch 'neueLiefLogoFormat'
| | 
| | # Conflicts:
| | #	src/Editor/Stammdaten/ArtikelVariationBearbeiten.xaml
| | #	src/Editor/Stammdaten/ViewModel/DBPictureEditListViewModel.cs
| | 
| * [2021-06-04 11:32:20; Jan Wiesemann]:
| | Neues Bildformat auch für Logos implementiert
| | 
* | [2021-06-07 11:14:49; Jan Wiesemann]:
| | Index aus Bilde rbearbeiten Fenster entfernt. Diese können jetzt per Drag and Drop angeordnet werden.
| | 
* | [2021-06-07 11:14:01; Jan Wiesemann]:
| | Variation beearbeiten Fenster Layout angepasst
| | 
* | [2021-06-07 11:11:08; Jan Wiesemann]:
| | Anordnen der Artikelbilder vereinfacht
| | 
* | [2021-06-04 15:09:49; Jan Wiesemann]:
| | Angelegt von und geändert von Name wird jetzt angezeigt
| | 
* | [2021-06-04 14:31:58; Jan Wiesemann]:
| | Kleines + zum hinzufügen von Bildern wieder in der Bilderliste implementiert
| | 
* | [2021-06-04 13:26:25; Jan Wiesemann]:
|/  Fehlerausgabe der Logos und der Produktbilder verbessert
| 
* [2021-06-04 09:49:46; Jan Wiesemann]:
| Löschen mehrerer Bilder
| 
* [2021-06-04 09:34:54; Jan Wiesemann]:
| tippfehler behoben
| 
* [2021-06-04 09:27:45; Jan Wiesemann]:
| Fehler beim löschen von Bildern behoben
| 
* [2021-06-02 14:56:23; Jan Wiesemann]:
| GTINSKUPicBackup tool
| 
* [2021-06-02 13:03:26; Jan Wiesemann]:
| Fehler beim Löschen von Bildern behoben
| 
* [2021-06-02 12:46:12; Jan Wiesemann]:
| Alte Bilder entfernt
| 
* [2021-06-02 12:43:13; Jan Wiesemann]:
| Ansicht des Hauptbildes verändert
| 
* [2021-06-02 12:35:01; Jan Wiesemann]:
| Fehler im Bilderupload behoben
|   
*   [2021-06-02 12:18:59; Jan Wiesemann]:
|\  Merge branch 'dbPicToFilePic'
| | 
| | # Conflicts:
| | #	src/Editor/Stammdaten/ViewModel/ArtikelVariationPictureViewModel.cs
| |   
| *   [2021-06-02 12:17:54; Jan Wiesemann]:
| |\  Merge branch 'dbPicToFilePic' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM into dbPicToFilePic
| | | 
| | * [2021-06-02 12:16:15; Jan Wiesemann]:
| | | Fehlerbehebungen
| | | 
| * | [2021-06-02 12:15:36; Jan Wiesemann]:
| |/  Fehlerbehebungen, Anpassungen der Bilde rUpload Tools
| | 
| * [2021-06-02 10:55:24; Jan Wiesemann]:
| | Sevrer Controller angepasst
| | 
| * [2021-05-31 11:36:27; Jan Wiesemann]:
| | init
| | 
* | [2021-06-02 11:30:12; Jan Wiesemann]:
| | Bilder mit der GTIN oder der SKU am Anfang werden jetzt automatisch als Hauptbilder angelegt.
| | 
* | [2021-06-02 11:15:25; Jan Wiesemann]:
|/  GTINPIcNameToMainPicTool
| 
* [2021-05-28 14:33:40; Jan Wiesemann]:
| Bilder Tooltips zeigen jetzt die Auflösung der Bilder an
| 
* [2021-05-28 14:20:53; Jan Wiesemann]:
| Debug Traces entfernt.
| Mein Berufstipp: Nichts mit Computern.
| 
* [2021-05-28 14:14:38; Jan Wiesemann]:
| Fehler in Aufruf behoben
| 
* [2021-05-28 14:08:43; Jan Wiesemann]:
| Zeichensatz angepasst
| 
* [2021-05-28 13:39:46; Jan Wiesemann]:
| Trace für debuggen
| 
* [2021-05-28 13:32:21; Jan Wiesemann]:
| nuget updates, um fehler beim Deserialisieren von Systemtype zu beheben.
| 
* [2021-05-28 12:19:59; Jan Wiesemann]:
| Apfangen nativer fehler
| 
* [2021-05-28 12:07:44; Jan Wiesemann]:
| JSON CamelCase Names
| 
* [2021-05-28 11:58:55; Jan Wiesemann]:
| Fehlerausgabe erweitert
| 
* [2021-05-28 11:52:27; Jan Wiesemann]:
| Dbugausgabe verbessert
| 
* [2021-05-28 11:40:15; Jan Wiesemann]:
| Zertifikat Handler für Native Dialoge
| 
* [2021-05-28 11:26:02; Jan Wiesemann]:
| weiteren nuspec fehler behoben
| 
* [2021-05-28 11:23:03; Jan Wiesemann]:
| nispec fehler behoben
| 
* [2021-05-28 11:21:08; Jan Wiesemann]:
| LSPIM.Controls in nuspec
| 
* [2021-05-28 11:15:30; Jan Wiesemann]:
| Fehlerhafte Deklarierung angepasst
| 
* [2021-05-28 11:12:13; Jan Wiesemann]:
| Redentials in den Nativen Dialogaufrufen hinzugefügt
| 
* [2021-05-28 11:06:13; Jan Wiesemann]:
| Verweise hinzugefügt
| 
* [2021-05-28 11:03:37; Jan Wiesemann]:
| nuspec anpassungen
| 
* [2021-05-28 10:59:33; Jan Wiesemann]:
| Fehlerausgabe von nativen PIM Dialogen
| 
* [2021-05-28 10:53:08; Jan Wiesemann]:
| Fehler im Dialog Wrapper behoben
|   
*   [2021-05-28 10:34:55; Jan Wiesemann]:
|\  Merge branch 'variationsuaswahldialog'
| | 
| | # Conflicts:
| | #	src/SeverTestApp/SeverTestApp.csproj
| | #	src/SeverTestApp/packages.config
| | 
| * [2021-05-28 10:33:30; Jan Wiesemann]:
| | Merge vorbereitungen
| | 
| * [2021-05-28 10:31:45; Jan Wiesemann]:
| | nuspec anpassungen
| | 
| * [2021-05-27 13:27:30; Jan Wiesemann]:
| | GTIN Auswahl zeigt jetzt eine Liste mit allen Lokaten GTINs an.
| | 
| * [2021-05-27 10:32:56; Jan Wiesemann]:
| | Wrapper DLL für das Aufrufen von Dialogen aus Nativem C/C++
| | 
| * [2021-05-25 14:32:03; Jan Wiesemann]:
| | GTIN Variationsauswahldialog fertig
| | 
| * [2021-05-21 11:48:33; Jan Wiesemann]:
| | MerkmalViewerControl
| |   
| *   [2021-05-20 13:36:03; Jan Wiesemann]:
| |\  Merge branch 'master' into variationsuaswahldialog
| | | 
| * | [2021-05-20 13:34:53; Jan Wiesemann]:
| | | Laden der Artikel und Variationen
| | | 
| * | [2021-05-19 15:01:33; Jan Wiesemann]:
| | | Grunddialog erstellt
| | | 
| * | [2021-05-19 11:46:43; Jan Wiesemann]:
| | | Testprojekt umbenannt
| | | 
| * | [2021-05-19 11:29:51; Jan Wiesemann]:
| | | projekt angelegt
| | | 
* | | [2021-05-28 10:27:02; Jan Wiesemann]:
| | | NuGet Upodates, um Fehler in der EANValidationRule zu beheben. Hier wurden EANs mit der Prüfziffer 0 als falsch angezeigt.
| | | 
* | | [2021-05-28 00:33:14; Jan Wiesemann]:
| | | Suche nach Bilder ID bzw. Bilder URL im Artikeleditor
| | | 
* | | [2021-05-27 23:52:50; Jan Wiesemann]:
| | | Es kann jetzt nur noch ein Bild als Hauptbild festgelegt werden.
| | | 
* | | [2021-05-27 23:42:04; Jan Wiesemann]:
| | | Fehler beim Kopieren von Bildinformationen behoben. Das Programm ist bei einem leeren Namen abgestürzt.
| | | 
* | | [2021-05-27 15:02:09; Jan Wiesemann]:
| |/  Bilder ID Wird unter dem Namen eines Bildes angezeigt.
|/|   Rechtsklick auf ein Blid kann den Namen, die ID oder die URL kopieren.
| | 
* | [2021-05-20 08:34:58; Jan Wiesemann]:
| | Bilder Imports in PimTools an neues Bilderformat angepasst
| | 
* | [2021-05-19 15:33:05; Jan Wiesemann]:
| | Der Server gibt bei einer Bilderanferage jetzt nicht nur die ID als Namen zurück sondern auch die passende Dateiendung.
| | 
* | [2021-05-19 15:16:49; Jan Wiesemann]:
| | Fehler in der Anreichung für Bagmondo behoben. Die Bilder wurden unter einem falchen Namen auf den FTP-Server hochgeladen
| | 
* | [2021-05-19 15:08:30; Jan Wiesemann]:
|/  Import Konsolenausgabe, wenn der Import Dialog geöffnet wurde.
| 
* [2021-05-18 09:56:13; Jan Wiesemann]:
| FTP-UploadHandler an neue Bilderstruktur angepasst
| 
* [2021-05-17 14:14:24; Jan Wiesemann]:
| Fehler in der ListView für die Artikelvariationen behoben.
| 
* [2021-05-17 12:40:50; Jan Wiesemann]:
| Buildfehler durch nuget Updates behoben
| 
* [2021-05-17 12:24:52; Jan Wiesemann]:
| Insernal Server Error beim abrufen von Bildern behoben,
| Nuget Updates
| 
* [2021-05-17 12:16:10; Jan Wiesemann]:
| db forward
| 
* [2021-05-17 12:15:18; Jan Wiesemann]:
| Hochladne und bearbeiten von Bildern, Anpassungen an der Bilder ID. Diese wird jetzt besser bersteckt.
| 
* [2021-05-12 11:05:12; Jan Wiesemann]:
| EANPicToDBPic erkennt bereits hochgeladene bilder
| 
* [2021-05-12 10:55:41; Jan Wiesemann]:
| NuGet Updates, umbenennen der Bilderklasse
| 
* [2021-05-11 11:42:48; Jan Wiesemann]:
| Abrufen der Bilder im Server implementiert
| 
* [2021-05-07 19:45:33; Jan Wiesemann]:
| Tool zum importieren von GTIN-Bildern in die Datenbank. Dieses wir zur umwandlung des neuen Bilder.Formates genutzt.
| 
* [2021-05-05 13:06:15; Jan Wiesemann]:
| Anreicherung für Goldkrone angepasst
| 
* [2021-05-05 11:26:44; Jan Wiesemann]:
| Gehler beum Generieren der Anreicherungskopfzeile behoben.
| 
* [2021-04-30 15:59:46; Jan Wiesemann]:
| Anreicherung Leder Milz angepasst
| 
* [2021-04-29 10:47:27; Jan Wiesemann]:
| Updatmechanismus für LS-UPDATE im Editor implementiert
| 
* [2021-04-27 12:53:58; Jan Wiesemann]:
| Fehlerausgabe verbessert, wenn eine GLN berits bei einem anderen Liferanten hinterlegt ist.
| 
* [2021-04-27 10:53:52; Jan Wiesemann]:
| Service Tools entfernt, Anreicherung für Leder Milz erweitert, Anreicherung angepasst, dass diese über ein Fenster konfiguruert werden kann.
| 
* [2021-04-26 15:48:26; Jan Wiesemann]:
| Anreicherung LederMilz
| 
* [2021-04-26 11:28:33; Jan Wiesemann]:
| NuGet Updates, um Buffer der NativeAPI zu vergrößern
| 
* [2021-04-20 13:35:44; Jan Wiesemann]:
| NuGet Updates, um Fehler der Http-Klasse zu beheben.
| 
* [2021-04-20 10:00:07; Jan Wiesemann]:
| NuGet Updates, um Fehler durch fehlende Resourcen zu beheben
| 
* [2021-04-19 15:34:18; Jan Wiesemann]:
| NuGet updates für Native API
| 
* [2021-04-19 13:18:09; Jan Wiesemann]:
| NuGet Updates für QickView
| 
* [2021-04-19 13:13:42; Jan Wiesemann]:
| Fehler im Dialog zum ersetzten von Worten behoben. Hier wurde das Letzte Wort eines Eintrages mit zum nächten Eintrag übernommen. Dadurch wurden Worte falsch zusammengesetzt.
| 
* [2021-04-16 11:05:56; Jan Wiesemann]:
| Fehler in der Native-API behoben, Beispiel erweitert
| 
* [2021-04-15 14:08:04; Jan Wiesemann]:
| Der Server lädt jezzt bei dem Parameter loadvariations auch die Merkmale der Variation
| 
* [2021-04-15 14:03:06; Jan Wiesemann]:
| Manufacturer Suche nach ID
| 
* [2021-04-15 14:00:20; Jan Wiesemann]:
| Werbkzeug "String" um ersteztnfunktion erweitert. Hier können ganze Wörter in allen Strings ersetzt werden. Um hier z.B. alle Wörter mit ? anzuzeigen, kann die Suche vor dem Aufruf der Duktion eingeschränkt werden.
| 
* [2021-04-14 13:46:33; Jan Wiesemann]:
| Fenster zum schnellen bearbeiten von Strings. Dieses ist unter Werkzeuge->String zu finden.
| 
* [2021-04-14 12:43:55; Jan Wiesemann]:
| Fehler im Server behoben, durch welchen der Upload mehrer Bilde rnicht möglich war.
| 
* [2021-04-13 16:00:30; Jan Wiesemann]:
| Anreicherung nach Kundenwünschen angepasst
| 
* [2021-04-12 18:18:30; Jan Wiesemann]:
| LSPIM.Native.FREE_PIM_IMAGE_BUFFER
| 
* [2021-04-12 10:52:11; Jan Wiesemann]:
| Pim NativeAPI ehlenden Parameter für produktanfrage hinzugefügt, Nuget updates um einen Fehler zu beheben.
| 
* [2021-04-09 13:43:41; Jan Wiesemann]:
| PIM Native API Anfrage zum abrufen von Bildern.
| 
* [2021-04-09 11:10:33; Jan Wiesemann]:
| Fehler behoben, druch welchen Bagmondo bilder immer mit wasserzeichen hochgeladen wurden.
| 
* [2021-04-09 11:06:39; Jan Wiesemann]:
| die UI-Sprache des Editors kann jetzt in den Einstellungen geändert werden.
| 
* [2021-04-09 10:42:09; Jan Wiesemann]:
| Qued Files anfrage des Servers angepasst
| 
* [2021-04-09 10:35:58; Jan Wiesemann]:
| Umbenennen von Bildern im Editor
| 
* [2021-04-08 11:21:15; Jan Wiesemann]:
| ToolTip für Bilder berbessert
| 
* [2021-04-08 11:03:54; Jan Wiesemann]:
| Fehler beim Abfragem von Bilder eines User, welcher eine Lieferanteneinschränkung hat, behoben
| 
* [2021-04-08 10:56:51; Jan Wiesemann]:
| nuget updates und fehler durch update behoben
| 
* [2021-04-07 12:50:42; Jan Wiesemann]:
| NuGet Updates, Anpasungen nach NuGet Updates
| 
* [2021-04-06 12:45:33; Jan Wiesemann]:
| Fehler im Server behoben, durch welchen Bilder in Originalgröße und mit Wasserzeichen nicht gefunden wurden.
| 
* [2021-04-01 12:34:24; Jan Wiesemann]:
| Anreicherungs Bilder für Bagmondo werden jetzt immer ohne Wasserzeichen übertragen. Der Flagdes Benutzers wird hier nicht mehr verwendet.
| 
* [2021-04-01 09:22:34; Jan Wiesemann]:
| Der Standard für oe Freigabe wurde angepasst. Lieferanten, Artikel und Variationen sind immer Freigegeben, bis sie gesperrt wertden.
| 
* [2021-03-31 18:34:14; Jan Wiesemann]:
| Nicht freigegebene Artikel oder Variationen zeigen jetzt ein eigenes Statusbild an.
| 
* [2021-03-30 12:42:04; Jan Wiesemann]:
| Doppelte enträge löschen einer GTIN oder SKU aus der Liste, öffnen des Artikels im Editor
| 
* [2021-03-29 11:59:39; Jan Wiesemann]:
| Fehler beim hinzufügen von Lifernteneinschränkungen behoben.
| 
* [2021-03-29 09:59:47; Jan Wiesemann]:
| Tippfehler behoben, Anpassung der Doku
| 
* [2021-03-26 15:05:25; Jan Wiesemann]:
| Tippfehler in der API behoben. Anpassungen der Doku
| 
* [2021-03-26 10:45:45; Jan Wiesemann]:
| Infoausgabe für //api/v1/users verbessert
| 
* [2021-03-26 10:14:16; Jan Wiesemann]:
| AnreicherungDoppelteEANsFinderTool Ausgabe verbessert
| 
* [2021-03-26 08:54:37; Jan Wiesemann]:
| Doppelte Gtins Filter nach GTIN
| 
* [2021-03-25 16:14:23; Jan Wiesemann]:
| Tool AnreicherungDoppelteEANsFinder dieses suche nach Doppelt verwendeted EANs im PIM aus einer Datei
| 
* [2021-03-24 09:41:08; Jan Wiesemann]:
| Infoausgabe der Anreicherung verbessert
| 
* [2021-03-23 17:53:14; Jan Wiesemann]:
| Die Server anreicherung liefert immer das Ergebnis mit dem besten Rating zurück, Die Anreicherung des Server schreibt einen Hinweis, wenn diese GTIN merhfach gefunden wurde.
| 
* [2021-03-23 16:42:53; Jan Wiesemann]:
| Imort Feld Garantie
| 
* [2021-03-23 12:27:34; Jan Wiesemann]:
| Pfad LSPim Nuspec angepasst
| 
* [2021-03-22 14:22:31; Jan Wiesemann]:
| Lieferantenkontaktdaten, Fehlerbehebungen, anpassung der Doku, NuSpec anpassungen DB Einheitliche 64it Keys
| 
* [2021-03-22 10:59:23; Jan Wiesemann]:
| pim nuget packet umbenannt
| 
* [2021-03-22 09:56:35; Jan Wiesemann]:
| NuGet Updates, um Fehler im Import zu beheben.
| 
* [2021-03-19 14:43:23; Jan Wiesemann]:
| Installieren von Updates erzwingen
| 
* [2021-03-19 14:18:29; Jan Wiesemann]:
| Fehlerbehebungen nach Merge
|   
*   [2021-03-19 14:15:27; Jan Wiesemann]:
|\  Merge branch 'CObjectGenerator'
| | 
| * [2021-03-19 14:11:01; Jan Wiesemann]:
| | NuSpec Definition
| | 
| * [2021-03-19 13:47:53; Jan Wiesemann]:
| | nuget updates
| | 
| * [2021-03-19 13:46:09; Jan Wiesemann]:
| | Ausgabe von Fehler implementiert, Fehlerbehebungen
| | 
| * [2021-03-19 10:49:28; Jan Wiesemann]:
| | example projekt
| | 
| * [2021-03-19 10:23:14; Jan Wiesemann]:
| | Initialisierung von SSL für LSPIM.NATIVe implementiert
| | 
| * [2021-03-16 14:18:12; Jan Wiesemann]:
| | Ifnotext zu fehlenden Dateien
| | 
| * [2021-03-16 14:15:34; Jan Wiesemann]:
| | nuget updates
| | 
| * [2021-03-16 14:14:19; Jan Wiesemann]:
| | page und Pagesize aus Request aufrufen entfernt. Diese werden über die URL angegeben.
| | 
| * [2021-03-16 14:04:28; Jan Wiesemann]:
| | Formatierung angepasst
| | 
| * [2021-03-16 13:41:31; Jan Wiesemann]:
| | URL-Generator
| | 
| * [2021-03-16 10:27:53; Jan Wiesemann]:
| | Funktionen nach SerializationHelper ausgelagert
| | 
| * [2021-03-16 10:20:04; Jan Wiesemann]:
| | Request Generator
| | 
| * [2021-03-15 11:11:50; Jan Wiesemann]:
| | Funktionen zur Freigabe von Objekten und Listen im CObjekt Generator ferig gestellt.
| | 
| * [2021-03-11 14:48:40; Jan Wiesemann]:
| | Buildanpassungen
| | 
| * [2021-03-11 14:45:30; Jan Wiesemann]:
| | .gitignore angepasst
| | 
| * [2021-03-11 14:44:48; Jan Wiesemann]:
| | Angefangen Objekte aus dem RAM zu löschen
| | 
| * [2021-03-11 13:56:15; Jan Wiesemann]:
| | Generatoren in Eigene Klassen
| | 
| * [2021-03-11 12:10:52; Jan Wiesemann]:
| | Generator für Deserialiseiren fertig
| | 
| * [2021-03-05 14:11:05; Jan Wiesemann]:
| | nuget updates
| | 
| * [2021-03-04 11:12:14; Jan Wiesemann]:
| | CObject generator weiter
| | 
| * [2021-03-03 13:03:59; Jan Wiesemann]:
| | Generator für Serializer und deserializer weiter
| | 
| * [2021-03-03 12:33:44; Jan Wiesemann]:
| | Fehlerbehebungen und Verbesserungen Strukturgenerierung
| | 
| * [2021-03-02 15:08:20; Jan Wiesemann]:
| | Grundfunktionen Serializer/Desieralizer
| | 
| * [2021-03-02 14:05:54; Jan Wiesemann]:
| | CObjectGenerator
| | 
* | [2021-03-19 14:15:17; Jan Wiesemann]:
| | nuget updates
| | 
* | [2021-03-18 13:41:24; Jan Wiesemann]:
| | Einschränken von Lieferanten über eine White und Blacklist im Server  inder dem Editor implemenriert.
| | 
* | [2021-03-17 14:41:32; Jan Wiesemann]:
| | Alles freigeben tool
| | 
* | [2021-03-17 14:18:07; Jan Wiesemann]:
| | Freigabe im Server Beachten, Freigabe von Liefranten
| | 
* | [2021-03-16 14:16:31; Jan Wiesemann]:
| | nuget updates
| | 
* | [2021-03-12 15:04:30; Jan Wiesemann]:
| | Anreicherung Kommentag von Anreicherung bei Format BagmondoBestand in Spalte BF
| | 
* | [2021-03-12 14:54:56; Jan Wiesemann]:
| | Import für Merkmale (Nur über PimTools zu erreiche.)
| | 
* | [2021-03-09 14:53:20; Jan Wiesemann]:
| | Blockieren von Schreibenden Commands für Readonly User
| | 
* | [2021-03-09 13:00:50; Jan Wiesemann]:
| | ChnageLog generierungscommand amngepasst
| | 
* | [2021-03-09 12:58:16; Jan Wiesemann]:
| | Fehlerbehebung Rechtesystem
| |   
* |   [2021-03-09 12:51:03; Jan Wiesemann]:
|\ \  Merge branch 'userrechte'
| | | 
| * | [2021-03-09 12:50:38; Jan Wiesemann]:
| | | Rechtesystem in PIM-Tools
| | | 
| * | [2021-03-09 12:02:30; Jan Wiesemann]:
| | | User Rechte verbessert
| | | 
* | | [2021-03-09 12:14:42; Jan Wiesemann]:
|/ /  Formatierungsfehler von Merkmalen bei der Anreicherung behoben.
| |   
* |   [2021-03-08 13:01:51; Jan Wiesemann]:
|\ \  Merge branch 'resourcenFile'
| | | 
| * | [2021-03-08 12:59:59; Jan Wiesemann]:
| | | NL, Fehlerbehebungen und Erweiterungen
| | | 
| * | [2021-03-08 12:42:10; Jan Wiesemann]:
| | | String DE
| | | 
| * | [2021-03-08 11:40:04; Jan Wiesemann]:
| | | alle Resorcen ausgelagert
| | | 
| * | [2021-03-08 10:23:43; Jan Wiesemann]:
| | | Weitrere Resourcen ausgelagert
| | | 
| * | [2021-03-05 19:56:58; Jan Wiesemann]:
| | | Erstellung der Resourcendatei und erste anpassungen
| | | 
* | | [2021-03-08 09:34:41; Jan Wiesemann]:
|/ /  AnreicherungFormatGenerator, anpassungen an der Anreicherung
| | 
* | [2021-03-05 09:46:49; Jan Wiesemann]:
| | Anreicherung für Bagmondo Bestand um die Felder SKU znd Artikelnummer erweitert.
| |   
* |   [2021-03-04 12:04:49; Jan Wiesemann]:
|\ \  Merge branch 'master' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM
| | | 
| * | [2021-03-03 11:02:36; Jan Wiesemann]:
| |/  Fehleraushabe verbessert
| | 
* | [2021-03-04 12:04:37; Jan Wiesemann]:
|/  FTP-Upload verbessert. Der Server überscheribt bilder jetzt alle 24 Stunden.
| 
* [2021-03-01 10:32:48; Jan Wiesemann]:
| NuGet updates, um IList.Trim() im Import zu verwenden. Dies erlaubt das laden von CSV-Dateien mit Leeren Feldern.
| 
* [2021-02-26 17:50:53; Jan Wiesemann]:
| IDs aller Objkete im Editor anzeigen.
| 
* [2021-02-26 12:19:44; Jan Wiesemann]:
| Doku an neue Felder angepasst.
| 
* [2021-02-26 12:06:42; Jan Wiesemann]:
| Validation von URLs für den Videolink
| 
* [2021-02-25 17:21:11; Jan Wiesemann]:
| InvalidPicFileFixer Abdeckung weiterer fälle
| 
* [2021-02-25 17:08:36; Jan Wiesemann]:
| Weitere Fehlerbehebungen
| 
* [2021-02-25 17:06:29; Jan Wiesemann]:
| Fehlerbehebungen
| 
* [2021-02-25 16:44:47; Jan Wiesemann]:
| DiscardImageCacheTool
| 
* [2021-02-25 16:44:32; Jan Wiesemann]:
| Wasserzeichen Seitenverhältnis beibehalten, Größe des Wasserzeichens angepasst
| 
* [2021-02-25 12:22:00; Jan Wiesemann]:
| PimTools Fenster werden jetzt auch unter %localappdat%/landau-software/ls-pim gespeichert.
| 
* [2021-02-25 12:08:42; Jan Wiesemann]:
| Ersetzten von Texten der Variation (SKU, SKU2, VarText1, VarTexr2, Lieferantenfarbe)
| 
* [2021-02-25 10:03:02; Jan Wiesemann]:
| NuGet Updates
| 
* [2021-02-25 09:40:11; Jan Wiesemann]:
| Feld Videolink
| 
* [2021-02-24 12:30:13; Jan Wiesemann]:
| Buildfehler behoben
| 
* [2021-02-24 11:36:04; Jan Wiesemann]:
| Fehler behoben, druch welchen nicht nach Merkmaltexten im Merkmallfenster gesucht werden konnte.
| 
* [2021-02-23 14:15:38; Jan Wiesemann]:
| NuGet updates, um Fehler im Import zu beheben.
| 
* [2021-02-23 13:45:44; Jan Wiesemann]:
| Fehlder Pflegehinweis und Garantie
| 
* [2021-02-22 11:05:33; Jan Wiesemann]:
| Buildnummerdatei hinzugeügt für Debug Builds, DebugNummer.Trim, um Zeilenumbrüche zu entfernen.
| 
* [2021-02-22 10:45:01; Jan Wiesemann]:
| Buildnummer im Programm anzeigen, NugetUpdates und Anpssungen an NuGet Updates
| 
* [2021-02-16 11:38:26; Jan Wiesemann]:
| Die maximale bildergröße und ob das wasserzeichen hinzugefügt werden soll, kann jetzt direkt beim nutzer hinterlegt werden.
| 
* [2021-02-16 11:04:54; Jan Wiesemann]:
| Fehlerbehebung Generierung des Wasserzeichens
| 
* [2021-02-16 10:52:48; Jan Wiesemann]:
| Bilder können jetzt mit einem Wasserzeichen versehen werden.
| 
* [2021-02-15 18:39:34; Jan Wiesemann]:
| Bagmondo bilder werden jetzt automatisch auf einen FTP-Server geladen. Hierfür wurde eine Warteschlange geschaffen, um die Clients zu entlasten und die Dateien nur vom Server her zu laden.
| 
* [2021-01-29 17:54:33; Jan Wiesemann]:
| Feldanpassungen der Anreicherung,
| Die Anreicherung kann jetzt zeilen ohne Bilder behalten.
| Parameter RemoveEmptyRows zu RemoveEmptyEANRows umbenannz
| 
* [2021-02-15 13:07:52; Jan Wiesemann]:
| Die Anreicherung für Bagmondo übertögt die Bilder anschlißend auf einen FTP-Server.
| 
* [2021-02-15 10:55:15; Jan Wiesemann]:
| Doppelte SKUs Filter nach Lieferant
| 
* [2021-02-12 17:41:15; Jan Wiesemann]:
| MerkmalToString in der Anreicherung angepasst
| 
* [2021-02-12 17:33:22; Jan Wiesemann]:
| Anreicherung um die Felder BLE-Farbe, Serie und Zusatztext erweitert. Fehler in der Anreicherung in den Spalten Material und Volumen behoben.
| 
* [2021-02-12 10:23:32; Jan Wiesemann]:
| Grundklasse für Duplicate EAN Filder und implementierung eines Duplicate SKu finders. Dieser kann im Editor unter Werkzeuge gefunden werden.
| 
* [2021-02-10 14:27:29; Jan Wiesemann]:
| Fehler im Server und PimTools behoben, durch welchen Hauptbilder nicht richtig hochgeladen wurden.
| 
* [2021-02-10 10:26:00; Jan Wiesemann]:
| ARTpicToPIMpic sucht Artikelname auch in SKU
| 
* [2021-02-09 21:08:15; Jan Wiesemann]:
| Eingabe von Lieferanten überarbeitet und Consolenausgabe verbessert
| 
* [2021-02-09 19:56:34; Jan Wiesemann]:
| Die Bilder-Imports haben jetzt die möglichkeit einen weiteren zwischenschritt nach jedem import lauf zu laden.
| 
* [2021-02-09 14:28:07; Jan Wiesemann]:
| ARTpicToPIMpicTool einage nur für bestimmten lieferant
| 
* [2021-02-09 11:11:43; Jan Wiesemann]:
| IMpicToPIMpic bei der Suche der Variation wird jetzt ach auf den Lieferaten geachtet, da die kombination aus Artikelname und Lief-Farbe mehrfach verwendet werden.
| 
* [2021-02-09 10:55:56; Jan Wiesemann]:
| ARTpicToPIMpic
| Einheitliche Grundklasse für Bilderimports
| 
* [2021-02-08 13:12:28; Jan Wiesemann]:
| Fehler in der Seitengenerierung von Anfragen behoben.
| 
* [2021-02-08 13:08:01; Jan Wiesemann]:
| Anapssung der Anreicherung auf Kundenwunsch, Doku der Anreicherung angepasst.
| 
* [2021-02-04 11:02:07; Jan Wiesemann]:
| JsonResponseTreeGeneratorTool und anapssungen der doku.
| 
* [2021-02-03 11:21:00; Jan Wiesemann]:
| Alle Werte der Suchfunktionen werden jetzt beim wiederherstellen des Fensters gesetzt.
| Beim doppelklick auf den Lieferantennamen in der Artikelliste, wird direkt zu diesem Lieferanten gesprungen.
| 
* [2021-02-02 17:20:19; Jan Wiesemann]:
| Fehler behoben, durch welchen Falsche EANS nicht gepspeichert wurden.
| 
* [2021-01-29 17:56:36; Jan Wiesemann]:
| Fehlerhaften sonderfall derAnreicherung behoben
| 
* [2021-01-29 17:54:33; Jan Wiesemann]:
| Feldanpassungen der Anreicherung,
| Die Anreicherung kann jetzt zeilen ohne Bilder behalten.
| Parameter RemoveEmptyRows zu RemoveEmptyEANRows umbenannz
| 
* [2021-01-28 14:23:59; Jan Wiesemann]:
| Fehler bei der Relation zwischen Artikelmerkmal und Merkmal behoben.
| Dies hat einen Fehler im Import verursacht
| 
* [2021-01-27 15:12:40; Jan Wiesemann]:
| Artikeleditor Replace für Alternativname
| 
* [2021-01-27 14:48:34; Jan Wiesemann]:
| Fehler behoben, druch welchen der SettingsEditor bei falschen einstellungen nicht zur bearneitung geöffnet werden konnte.
| 
* [2021-01-25 14:23:03; Jan Wiesemann]:
| Artikel bearbeiten suche nach EAN. Diese Suche kann über die Schaktfläche oben links mit den beiden pfeilen aktiviert werden.
| 
* [2021-01-25 13:51:40; Jan Wiesemann]:
| Beim Import wird jetzt sichergestellt, dass dieser immer nur einen Typ eines Merkmals hat.
| 
* [2021-01-25 13:36:23; Jan Wiesemann]:
| Pim Tool (RemoveDuplicateMerkamle) zum entfernen von Doppelten Merkmaltypen bei Artikeln und Variationen.
| 
* [2021-01-25 12:08:36; Jan Wiesemann]:
| Edior kopieren von Artikel.Name, Artikel.Zusatztext, Artikel.Alterntivname und Vartiation.SKU, Variation.SKU2, Variation.Vartext1, Variation.Vartext2
| 
* [2021-01-22 17:33:14; Jan Wiesemann]:
| Die Liste der Var-Bilder zeigt jetzt das Hauptbild mit dem Text Hauptbild an.
| 
* [2021-01-22 17:22:59; Jan Wiesemann]:
| IMpicToPIMpic anzahl der importierten bilder anzeigen
| 
* [2021-01-21 10:08:08; Jan Wiesemann]:
| Fehler im Server behoben, druch welchen nur bilder im Format {GTIN}_{NAME}.jpg hochgeladen werden konnten.
| 
* [2021-01-21 09:50:13; Jan Wiesemann]:
| Fehler behoben, druch welchen die ansicht für Labels immer alle Artikel zuruck gegeben hat.
| 
* [2021-01-20 11:29:55; Jan Wiesemann]:
| Fehler beim anlegen von Lieferantendokumenten behoben. Diese können jetzt unter Lieferant -> Dokumente angelegt weren.
| Download für Lieferantendokumente über Editror und
| Link eines Dokuments zum Download abrufen.
| Der Server kann jetzt Dokumentendownloads annehen und diese Dateien gerunterladen. Es ist nur für angemeldete User möglic, diese herunterzuladen. Die Erstellund eine Download Links ist nur über den Editor möglich.
| 
* [2021-01-20 10:20:14; Jan Wiesemann]:
| NuGet Upates um Fehler beim Klicken auf eine Kopfzeile von Listviews zu beheben.
| 
* [2021-01-18 10:30:11; Jan Wiesemann]:
| Der Artikeleditor stellt jetzt beim erneuten öffnen die vorherige auswahl wieder her.
| 
* [2021-01-18 10:09:21; Jan Wiesemann]:
| Auslaufdatum für Artikel und Atikelkennung Filterbar und bearbeitbar gemachr,
| Variationskennung für Variationen
| 
* [2021-01-15 16:23:14; Jan Wiesemann]:
| NuGet Updates und impelementierung eines Sort Proxys. Dieser ermöglich es, Zahlen besser zu sortieren.
| 
* [2021-01-15 13:57:33; Jan Wiesemann]:
| In der Liste Variationen des Fensters Artikel bearbeiten, hat die Spalte Bilder jetzt einen Button zum hinzufügen von Bildern. Wenn die Maus über der Bilderanzahk schwebt, werden diese im ToolTip angezeigt.
| 
* [2021-01-14 11:38:41; Jan Wiesemann]:
| NuGet Updaten um alle spalten in Listviews nach dem Wiederherstellen auf eine mindesgröße zu setzten.
| 
* [2021-01-14 10:06:48; Jan Wiesemann]:
| Fehler behoben, durch welchen bei der Suche nach Merkmalen nichta alle Merkmale angezeigt wurden-
| 
* [2021-01-13 11:19:26; Jan Wiesemann]:
| Die Serienfunktionen können jetzt für bestimmt nutzer gesprert werdem. Dieser Wert kann unter den Zugriffsrechten des Benutzers eingestellt werden.
| 
* [2021-01-12 12:48:08; Jan Wiesemann]:
| Flyout für Datenbankinfos.
| Dieses kann unter "Einstellungen => Allgemein => DB Infos beim starten anzeigen" deaktiviert werden.
| 
* [2021-01-12 09:52:42; Jan Wiesemann]:
| User deaktiviren und aktivieren
| 
* [2021-01-11 21:32:57; Jan Wiesemann]:
| Fehler behoben, durch welchen die Sprachen bei den Merkmalen vermischt wurden
| Fehler behoben, durch welchen beim ändern einers Merkmals in den Listen des Fensrers ArtikelErstellenBearbeiten dieses nicht angezeigt wurde.
| 
* [2021-01-11 13:00:32; Jan Wiesemann]:
| Doku angepasst, um Objekte besser zu beschreiben.
| 
* [2021-01-11 12:40:12; Jan Wiesemann]:
| ObjektBeschreibungsGenerator umgebaut, dass dieser nach einer bestimmten menge an eziehcen eine neue Zeile einfügt.
| 
* [2021-01-11 12:15:32; Jan Wiesemann]:
| NuGet Updates
| 
* [2021-01-08 14:47:31; Jan Wiesemann]:
| Fehler behoben, durch welchen nicht alle Artikel, oder Variationen angezeigt wurden.
| 
* [2021-01-08 11:33:44; Jan Wiesemann]:
| NuGet Updates und anpassungen nach updates
| 
* [2021-01-07 11:09:14; Jan Wiesemann]:
| Fehler beim Auffüllen der SKU2 behoben.
| 
* [2021-01-07 10:56:55; Jan Wiesemann]:
| Fehker behoben, durch welchen beim ändern der Farbe, einer Variation, alle anderen Farben in der Datenbank gelöscht wurden.
| 
* [2021-01-07 10:49:25; Jan Wiesemann]:
| AutoMerge in BulkTools. Dieses kann verwendet werden, um alle Doppelten Variationen (anhand der SKU und Lieferantenfarbe) zusammen zu führen.
| 
* [2021-01-06 12:28:32; Jan Wiesemann]:
| Fehler am Tool PIMStringDelinker behoben.
| 
* [2021-01-06 12:09:54; Jan Wiesemann]:
| LabelAndSeriesToNonLocalizedMerkmalTool
| 
* [2021-01-05 12:25:57; Jan Wiesemann]:
| Bei Merkmalen kann jetzt ein nicht Lokalisierter String hinterlegt werden. Diese Funktion kann für Label und Serien benutz werden.
| 
| Wenn im Sever ein Produkt abgerufen wird, kann hier direkt nach der Serie oder dem Label gesucht werden. (Siehe doku)
| 
* [2021-01-04 13:59:08; Jan Wiesemann]:
| Fehlerbehebungen PIMStringDelinker
|   
*   [2021-01-04 13:58:46; Jan Wiesemann]:
|\  Merge branch 'master' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM
| | 
| * [2021-01-04 12:54:29; Jan Wiesemann]:
| | Fehler behoben, druch welchen die Beschreibungen anderer Artikel oder Merkmale miteinander verknüpft wurden. DIes hatte zur Folge, dass beim ändern einer Beschreibung alle anderen Beschreibungen überschrieben wurden.
| | 
* | [2021-01-04 12:05:22; Jan Wiesemann]:
|/  PimTools Tool für das entlinken doppelt verwendeter StringSets
| 
* [2021-01-04 10:08:31; Jan Wiesemann]:
| Bearbeiten von Artikelbeschreibungen verbessert
| 
* [2021-01-04 09:15:12; Jan Wiesemann]:
| Einheiten bei den Artikelinfoas angegeben. (cm, kg, l,...)
| 
* [2020-12-22 11:56:27; Jan Wiesemann]:
| Schalter zum aktivieren der Serienfunktionen in den Einstellungen hinzugefügt. Diese sind als Standard deaktiviert.
| 
* [2020-12-22 11:42:02; Jan Wiesemann]:
| ArtikelErstellenBearbeiten Speichern Button veschoben und Beschreibung in eigenen Tab.
| 
* [2020-12-18 17:27:30; Jan Wiesemann]:
| EAN Validierung verbessert, ToolTips angepasst und falsch angezeigte Rückfrage beimn Ändern der GTIN entfernt.
| 
* [2020-12-18 15:51:17; LANDAU-SOFTWARE\Uwe Landau]:
| Erweiterungsvorgabe als Kommentar eingefügt
| 
* [2020-12-18 14:42:22; Jan Wiesemann]:
| Fehelr beim auffüllen vom azslaufdatum behoben
| 
* [2020-12-18 14:41:59; Jan Wiesemann]:
| Serienfunktionen
| 
* [2020-12-17 11:28:37; Jan Wiesemann]:
| Beim änder der Einstellunge im Editor werden diese sofort übernommen und nicht erst nach einem neustart.
| Im Editor kann jetzt ein Username und ein Passwort für PimTools hinterlegt werden. Dieses wird verwendet, wenn keine Befehlszeilenargumente angegeben sind.
| 
* [2020-12-15 13:17:34; Jan Wiesemann]:
| TestUser Typem Emtfernt. Diese vwedenden jetzt immer das Special TestUser Item.
| MaxAnfragen wird jetzt auf alle User angewendet. Wenn dieses null ist, wird es  nicht berücksichtigt.
| 
* [2020-12-15 11:26:46; Jan Wiesemann]:
| Tool zu generierung einer Ratingtabelle
| Dokumentation der Ratingbrechenung
| 
* [2020-12-15 09:57:06; Jan Wiesemann]:
| beim laden der Variationen werden jetzt direkt die URLs für die Biler angegeben.
| Anopassung der Doku
| 
* [2020-12-14 13:22:17; Jan Wiesemann]:
| Direktes filtern der Hauptgruppe und Warengruppe bei Artikelanfragen.
| Dokumentation der neien Paremeter.
| 
* [2020-12-14 12:17:41; Jan Wiesemann]:
| Die Server-Abfrage für das Abrufen von Artikeln kann jetzt direkt nach einem Lieferanten suchen. Die Doku wurde mit beispielen erweitert.
| 
* [2020-12-14 11:52:09; Jan Wiesemann]:
| Generator für Objektbeschreibungen verbessert,, Objektebeschreibungen in der Doku angepasst.
| 
* [2020-12-14 11:29:15; Jan Wiesemann]:
| Auslaufdatum für Artikel und Variation
| 
* [2020-12-14 11:03:22; Jan Wiesemann]:
| Fehler im Import behoben:
| Die SKU2 wurde beim neu anlegen einer Variation nicht gesetzt
| Wenn keie Farbe und Größe angegeben wurde,, wurde eine falsche Variation gesucht. Dies hat die falschen Felder überschreiben.
| 
* [2020-12-10 12:36:35; Jan Wiesemann]:
| Parameter loadVariations für das Abrufen von Variationen über den Artikelabruf. Dieser legt fest, dass die Variatioen zu einem Artikel auch geladen werdem sollen.
| Anpassungen der Doku für loadVariations und beispiel.
| 
* [2020-12-09 14:13:06; Jan Wiesemann]:
| Weietre Beispiele für die Doku und Paging für den Server beim Abfragen von Artikeln und Variationen. (Siehe doku für Details)
| 
* [2020-12-09 13:16:24; Jan Wiesemann]:
| Beispiele in der Dokumentation und Fehlerbehebungen/optimierungen
| Anpassung der Doku
| Weietre Beispiele in der Doku
| 
* [2020-12-08 12:38:41; Jan Wiesemann]:
| PLZ/Ort auf 64 Zeichen verlängert
| 
* [2020-12-08 12:28:46; Jan Wiesemann]:
| Duplizieren von Usern
| 
* [2020-12-08 11:45:51; Jan Wiesemann]:
| User Editpr Filtern nach Userrolle
| 
* [2020-12-08 11:33:27; Jan Wiesemann]:
| Uhrzeit anzeigen bei User->Letzte Anfrage
| 
* [2020-12-08 11:11:07; Jan Wiesemann]:
| Server filtern nach Mehreren EANs Anpassung der Doku.
| 
* [2020-12-07 13:27:59; Jan Wiesemann]:
| Der PIM-Server zeigt jetzt beim Abfragen von Variationen immer die Merkmale und den uhrsprünglichen Artikel an. Der Artikel zeugt jetzt immer die Beschreibung und die ;Merkmale an.
| 
* [2020-12-07 10:20:29; Jan Wiesemann]:
| GLN Import und Export im Fenster zur Bearbeitung der Liferanten eingefügt.
| 
* [2020-12-07 09:55:08; Jan Wiesemann]:
| Fehle behoben, druch welchen Merkmalnamen mit einem leeren Text beim Import überschrieben wurden.
| 
* [2020-12-07 09:43:38; Jan Wiesemann]:
| Liefernatenauswahlfeld Artikelbearbeiten vergrößert
| 
* [2020-12-04 14:36:36; Jan Wiesemann]:
| Fehlerhaften Bereich bei den Bewertungen behoben
| 
* [2020-12-04 11:11:05; Jan Wiesemann]:
| Beim setzten der Earengruppe wird jetzt gefragt, ob die Passende Hauptgruppe auch gesetzt werden soll.
| 
* [2020-12-04 10:47:08; Jan Wiesemann]:
| Ersetzten funktion des Artikels auh für Zusatztext implementiert
| 
* [2020-12-04 10:35:12; Jan Wiesemann]:
| Artikelnamen Zeichen ersetzten kann jetzt Zeichen an position X einfügen
| 
* [2020-12-04 10:22:48; Jan Wiesemann]:
| Doplete EANs suchen kann jetzt direkt ein oder mehrere Einräge löschen
| 
* [2020-12-03 13:47:43; Jan Wiesemann]:
| Es können jetzt Mehrere Farben bei einem Merkmal hinterlegt werden. Doese werdem durch ',' getrennt
| 
* [2020-12-03 10:21:26; Jan Wiesemann]:
| Festlegbar, ob die Bewertung der Variation die der Artikel beinflusst. Für die Zukunft ist auch vorgesehen, dass ein Artikel das Rating eines Lieferanten beinflussen kann.
| 
* [2020-12-02 15:53:07; Jan Wiesemann]:
| Auswahl des Rating generators verbessert, Artikelanzahl und Variationsanzahl beim Lieferanten angezeigt
| 
* [2020-12-02 15:11:40; Jan Wiesemann]:
| Tabelle mit Rating bewerungspunkten
| 
* [2020-12-02 15:02:43; Jan Wiesemann]:
| Fehler behoben, druch welchen der Command ZusatztextToUpper nicht ausgeführt werden konnte, wenn keine Auswahl getroffen wurde.
| 
* [2020-12-02 13:55:36; Jan Wiesemann]:
| Fehler behoben, druch wlechen die Beschreibungen von Artikeln nicht geladen wurden.
| Anpassen der Doku
| 
* [2020-12-02 13:46:50; Jan Wiesemann]:
| Bei dem Filtern nach Daten werden die daten mit dem Wert NULL immer angezeigt.
| 
* [2020-12-02 13:40:07; Jan Wiesemann]:
| Rating Filter 'A' zeigt nur noch 'A' und nicht mehr 'A'+'B' an
| 
* [2020-12-02 13:38:01; Jan Wiesemann]:
| Filter werden jetzt erst bei Druck auf Enter oder bei verlassen des Feldes angewendet
| 
* [2020-12-02 13:35:26; Jan Wiesemann]:
| Filter mit Operator ',' erweitert, um suchen zu verknüpfen. Siehe ToolTip für mehr informationen.
| 
* [2020-12-02 13:06:18; Jan Wiesemann]:
| Zusatztext Special Command zum Großschreiben aller Texte
| ToolTipps für Sonderfüllen beschreiben jetzt die Aufgabe
| 
* [2020-11-30 12:27:07; Jan Wiesemann]:
| hinzufügen mehrer bilder über den Editor
| 
* [2020-11-30 12:21:42; Jan Wiesemann]:
| changedat Filter für Artikel und Variation. Anpassung der Dokumentation für disen Filter
| 
* [2020-11-30 11:45:18; Jan Wiesemann]:
| Server bfragen im Code besser Organisiert
| 
* [2020-11-30 10:51:39; Jan Wiesemann]:
| schreibfeher behben, Beim verbinden mit der Datenbank wird der vortschritt im SplashScreen und n der Konsole angezeigt
| 
* [2020-11-30 10:31:22; Jan Wiesemann]:
| Nachricht am Ende des Rating Gemerators
| 
* [2020-11-30 10:20:53; Jan Wiesemann]:
| DateRangeFilter kann jezt auch nach Uhrzeit filtern
| 
* [2020-11-20 15:32:47; Jan Wiesemann]:
| Paralleles Erstellen von Ratins verbessert.
| Query Monitor zeigt jetzt mehrere Informationen an
| 
* [2020-11-20 15:13:28; Jan Wiesemann]:
| Fehler behoben, druch welchen der Artikelgenerator abstürzen könnte.
| 
* [2020-11-20 15:11:20; Jan Wiesemann]:
| Artikelnamen ersetzen
| 
* [2020-11-20 10:17:45; Jan Wiesemann]:
| ToolTips für alle Filterfunktionen
| 
* [2020-11-19 15:14:12; Jan Wiesemann]:
| Filter für den Artikeledito erweitert. dieser kann jetzt auf den Fehldern Artikel.Name, Artikel.Zusatztext, Artikel.Alternativname, Artikel.Artikelkennung, Variation.GTIN, Variation.SKU, Variation.SKU2, Variation.VarText1, Variation.VarText2 und Variation.Lieferatenfarbe angewendet werden.
| Das Zeichen '*' ist ein Platzhalter für beliebig viele andere Zeichen..
| Beispiele:
| '*A' => Alle, die mit 'A' enden
| '!*A' => Alle, die NICHT mit 'A' enden
| 'A*' => Alle, die mit 'A' anfangen
| 'A*B' => Alle, die mit 'A' anfangen und mit 'B' enden
|   
*   [2020-11-18 13:52:43; Jan Wiesemann]:
|\  Merge branch 'master' of http://teamfoundationserver:8080/tfs/LandauSoftware/_git/LS-PIM
| | 
| | # Conflicts:
| | # src/Editor/packages.config
| | # src/PIMData/PIMData.csproj
| | 
| * [2020-11-18 11:44:03; Jan Wiesemann]:
| | Ratings im Server verbessert. Die selben filter wie im Editor sind jetzt möglich.
| | Anpaddung der Doku für Ratings und mehr Beispiele für Abfragen.
| | 
* | [2020-11-18 13:46:48; Jan Wiesemann]:
|/  Fehler behoben, durch welchen der Rating Generator stehen blieb.
| 
* [2020-11-16 10:43:23; Jan Wiesemann]:
| Fehler behiben, druch welchen das Rating beim speichern eines Artikels nicht immer aktualisiert wurde.
| 
* [2020-11-16 10:41:22; Jan Wiesemann]:
| Filter für den Rting Generator, um diesen auf einen kleineren Bereich ein zu schränken
| 
* [2020-11-16 10:02:36; Jan Wiesemann]:
| Beschreibungsgenerator beachtet jetzt Limits zur Bearbeitung von Lieferanten.
| 
* [2020-11-16 09:55:04; Jan Wiesemann]:
| Kopieren von Beschreibungsvorlagen
| 
* [2020-11-13 12:39:15; Jan Wiesemann]:
| filtern der ratings jetzt mögich über liste an buchstaben: !abc: !<a; <a
| 
* [2020-11-11 14:20:29; Jan Wiesemann]:
| Ratings werden nicht mehr automatisch generiert. Dies gescheit erst, wenn der Artikel oder die Variation gepeichert wurde. Um diese zu aktualisieren mutt der Rating Generaot unter Werkzeugen ausgeführt werrden.
| Filtern der Ratings im Editor eingebaut
| 
* [2020-11-11 10:20:48; Jan Wiesemann]:
| Lieferant eines Artikels ämderm
| 
* [2020-11-11 10:06:46; Jan Wiesemann]:
| Zusammenführen von Artikeln
| 
* [2020-11-10 14:17:26; Jan Wiesemann]:
| Fehler behoben, durch welchen das Programm nicht richtig gestartet wurde.
| 
* [2020-11-10 10:46:53; Jan Wiesemann]:
| Fenster zum Azeigen doppelter EANs
| 
* [2020-11-09 12:36:58; Jan Wiesemann]:
| Zusammenführen von Variationen
| 
* [2020-11-09 09:59:33; Jan Wiesemann]:
| usernamen in allen Fenstern anzeigen
| 
* [2020-11-09 09:22:53; Jan Wiesemann]:
| Query Monitor
| 
* [2020-11-09 08:59:23; Jan Wiesemann]:
| Dienste umbenannt zu Werkzeuge
| 
* [2020-11-09 08:54:05; Jan Wiesemann]:
| Fehler behoben, druch welchen die Artikel bei einem User mit Lieferateneinschränkung nicht angezeigt wurden.
| 
* [2020-11-09 08:46:48; Jan Wiesemann]:
| Username iin der Titelleiste des Hauptfensters anzeigen
|   
*   [2020-11-06 16:57:48; Jan Wiesemann]:
|\  Merge branch 'beschreibungsgenerator'
| | 
| | # Conflicts:
| | #	db/LS-PIM.mwb
| | #	src/PIMData/PIMData.csproj
| | #	src/Server/Server.csproj
| | 
| * [2020-11-06 16:52:47; Jan Wiesemann]:
| | NuGetUpdates
| | 
| * [2020-11-06 16:50:01; Jan Wiesemann]:
| | Fehler behoben, duch welchen die Artikelbeschreibungen nicht richtg angezeigt wurden.
| | 
| * [2020-11-06 16:45:28; Jan Wiesemann]:
| | Beschreibungsgenerator Fertig gestellt
| | 
| * [2020-11-06 11:24:49; Jan Wiesemann]:
| | LUT für das Abrufen von Informationen des Artikels
| | 
| * [2020-11-05 16:33:49; Jan Wiesemann]:
| | Praser für Textvorlagen
| | 
| * [2020-11-04 10:47:41; Jan Wiesemann]:
| | kleinere UI verbesserungen
| | 
| * [2020-11-04 10:37:56; Jan Wiesemann]:
| | Beschreibungs generator in eigenen Namespace und Objekte für das Laden der Textliste
| | 
| * [2020-11-03 13:58:51; Jan Wiesemann]:
| | bearbeiten von Filtern verbessert, Ausführen und Laden von Artikeln unter berücksichtigung der Filter
| |   
| *   [2020-11-03 09:44:28; Jan Wiesemann]:
| |\  Merge branch 'master' into beschreibungsgenerator
| | | 
| * | [2020-11-02 15:00:40; Jan Wiesemann]:
| | | ListViewModel bearbeiten von Filtern
| | | 
| * | [2020-11-02 11:04:44; Jan Wiesemann]:
| | | DescriptionGeneratorFilter ViewModel
| | |   
| * |   [2020-11-02 09:40:23; Jan Wiesemann]:
| |\ \  merge
| | | | 
| * | | [2020-10-29 10:49:17; Jan Wiesemann]:
| | | | Fenster erstellt ung Grundklassen erstellt
| | | | 
* | | | [2020-11-05 10:39:06; Jan Wiesemann]:
| | | | Der Server kann jetzt Variationen nach einer SKU durchusuchen.
| | | | Anpassungen an der Doku, um die SKU-Suche zu beschreiben.
| | | | 
* | | | [2020-11-05 09:58:46; Jan Wiesemann]:
| | | | Anzahl der Artikelvariationen im Editor anzeigen,
| | | | Fehler behoben, durh welchen das Rating im 'G' war,
| | | | Fehler behoben, druch welchen Artikel und Variationen unnötigerweise gespeichert wurden.
